<%@page import="com.ferri.persistence.bean.impl.TipusClientVO"%>
<%@page import="com.ferri.service.dto.ClientDTO"%>
<%@page import="java.util.Iterator"%>
<%@page import="com.ferri.portlet.utils.Missatge"%>
<%@page import="com.ferri.portlet.utils.Format"%>
<%@ include file="../init.jsp"%>

<script type="text/javascript">
	jQuery(document).ready(function(){
		var url = '/tfc-portlet/ajax?id='
		jQuery("#select1").change(function(event){
			var id = jQuery("#select1").find(':selected').val();			
			jQuery("#select2").load(url+id);
		});
	});

	function openPopUp(){
		jQuery(document).ready(function(){
			jQuery("#dialogo").dialog({
			      modal: true,
			      title: '<spring:message code="popup.avis.titol"/>',
			      width: 350,
			      height: 120,
			      show: "fold",
			      hide: "scale"
			   });
			});
	}
	
	jQuery(document).ready(function(){		
		jQuery("#tipus_client_1").change(function(event){
			document.getElementById('bloc_gestoria').style.visibility = "hidden";			
		});
		jQuery("#tipus_client_2").change(function(event){
			document.getElementById('bloc_gestoria').style.visibility = "hidden";			
		});
		jQuery("#tipus_client_3").change(function(event){
			document.getElementById('bloc_gestoria').style.visibility = "visible";			
		});		
	});
	
	
</script>


<%
ArrayList<Missatge> missatges = (ArrayList<Missatge>) request.getAttribute("missatges");
%>

<div style="height: 450px;">
	<br />

	<form method="post" name="afegir"
		action="<portlet:renderURL>
						<portlet:param name="action" value="clientAction"/>
						<portlet:param name="reqCode" value="guardar"/>
					</portlet:renderURL>">

		<%if(missatges != null){%>
			<%for(Iterator<Missatge> iter = missatges.iterator(); iter.hasNext();){
				Missatge msg = iter.next();
			%>
				<%if(msg.getType().equals(Missatge.TYPE_SUCCES)){%>
					<div class="msg msg-info"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_INFO)){%>
					<div class="msg msg-warning"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_ERROR)){%>
					<div class="msg msg-error"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}%>
				<div class="salto">&nbsp;</div>
			<%}%>
		<%}%>
		
		<c:set scope="request" value="${dtoObject}" var="dtoObject"/>
		
		<div class="label-manteniment1"><spring:message code="manteniments.label.rao"/>*</div>
		<input type="text" name="<portlet:namespace/>nom" size="30" value="<c:out value="${dtoObject.nom}"/>"
			style="float: left"/>

		<div class="label-manteniment2" style="width: 60px;"><spring:message code="manteniments.label.nifCif"/>*</div>
		
		<c:choose>					
			<c:when test="${validationNif.nif == null && dtoObject.nif != null}">
				<input type="text" name="nif_disabled" size="10" value="<c:out value="${dtoObject.nif}"/>" style="float: left" disabled="disabled"/>
				<input type="hidden" name="<portlet:namespace/>nif" value="<c:out value="${dtoObject.nif}"/>"/>
			</c:when>
			<c:otherwise>
				<input type="text" name="<portlet:namespace/>nif" size="10" value="<c:out value="${dtoObject.validationNif}"/>" style="float: left" />
			</c:otherwise>
		</c:choose>	
		
		<div class="salto">&nbsp;</div>

		<div
			class="label-manteniment1"><spring:message code="manteniments.label.carrer"/>*</div>
		<input type="text" name="<portlet:namespace/>carrer" size="15" value="<c:out value="${dtoObject.carrer}"/>"
			style="float: left" />

		<div class="label-manteniment2" style="width: 60px;"><spring:message code="manteniments.label.munero"/>*</div>
		<input type="text" name="<portlet:namespace/>numero" size="5" value="<c:out value="${dtoObject.numero}"/>"
			style="float: left" />

		<div class="label-manteniment2" style="width: 45px;"><spring:message code="manteniments.label.resta"/></div>
		<input type="text" name="<portlet:namespace/>resta" size="5" value="<c:out value="${dtoObject.resta}"/>"
			style="float: left" />

		<div class="salto">&nbsp;</div>
		<div
			class="label-manteniment1"><spring:message code="manteniments.label.municipi"/>*</div>
		<input type="text" name="<portlet:namespace/>municipi" size="30" value="<c:out value="${dtoObject.municipi}"/>"
			style="float: left" />

		<div class="label-manteniment2" style="width: 60px;"><spring:message code="manteniments.label.cp"/>*</div>
		<input type="text" name="<portlet:namespace/>cp" size="10" value="<c:out value="${dtoObject.cp}"/>"
			style="float: left" />

		<div class="salto">&nbsp;</div>
		
		<div class="label-manteniment1"><spring:message code="manteniments.label.telefon"/>*</div>
		<input type="text" name="<portlet:namespace/>telefon" size="10" value="<c:out value="${dtoObject.telefon}"/>"
			style="float: left" />

		<div class="label-manteniment2" style="width: 60px;"><spring:message code="manteniments.label.mail"/>*</div>
		<input type="text" name="<portlet:namespace/>mail" size="30" value="<c:out value="${dtoObject.mail}"/>"
			style="float: left" />
		<div class="salto">&nbsp;</div>
		
		
		<div class="label-manteniment1"><spring:message code="manteniments.label.tipusClient"/>*</div>
		
		<c:set scope="request" value="${llistaTipusClientDto}" var="llistaTipusClientDto"/>
		<c:if test="${llistaTipusClientDto!=null}">
				<c:forEach items="${llistaTipusClientDto}" var="tipusClientDto">
					<c:choose>
						<c:when test="${dtoObject.tipusClient.id == tipusClientDto.id}">
							<c:choose>
								<c:when test="${idioma == 'es'}">
									<input type="radio" id='tipus_client_<c:out value="${tipusClientDto.id}"/>' name="<portlet:namespace/>tipus_client" style="float: left" value="<c:out value="${tipusClientDto.id}"/>" checked="checked"/><span style="width: 100px; float: left; padding-right: 5px;">&nbsp;<c:out value="${tipusClientDto.descEs}"/></span>
								</c:when>
								<c:otherwise>
									<input type="radio" id='tipus_client_<c:out value="${tipusClientDto.id}"/>' name="<portlet:namespace/>tipus_client" style="float: left" value="<c:out value="${tipusClientDto.id}"/>" checked="checked"/><span style="width: 100px; float: left; padding-right: 5px;">&nbsp;<c:out value="${tipusClientDto.descCa}"/></span>
								</c:otherwise>
							</c:choose>							
						</c:when>
						
						<c:otherwise>
							<c:choose>
								<c:when test="${idioma == 'es'}">
									<input type="radio" id='tipus_client_<c:out value="${tipusClientDto.id}"/>' name="<portlet:namespace/>tipus_client" style="float: left" value="<c:out value="${tipusClientDto.id}"/>"/><span style="width: 100px; float: left; padding-right: 5px;">&nbsp;<c:out value="${tipusClientDto.descEs}"/></span>
								</c:when>
								<c:otherwise>
									<input type="radio" id='tipus_client_<c:out value="${tipusClientDto.id}"/>' name="<portlet:namespace/>tipus_client" style="float: left" value="<c:out value="${tipusClientDto.id}"/>"/><span style="width: 100px; float: left; padding-right: 5px;">&nbsp;<c:out value="${tipusClientDto.descCa}"/></span>
								</c:otherwise>
							</c:choose>
						</c:otherwise>
					</c:choose>
				</c:forEach>				
		</c:if>
		
		<div class="salto">&nbsp;</div>
		
		<%String _visible = request.getAttribute("dtoObject") != null &&
							((ClientDTO) request.getAttribute("dtoObject")).getTipusClient() != null && 
							((ClientDTO) request.getAttribute("dtoObject")).getTipusClient().getId().intValue() == TipusClientVO.COMUNITAT ? "visible":"hidden";%>
		
		<div id='bloc_gestoria' style="visibility: <%=_visible%>;">
			<div class="label-manteniment1" ><spring:message code="manteniments.label.gestoria"/></div>
			<c:set scope="request" value="${llistaGestoriesDto}" var="llistaGestoriesDto"/>		
			<c:if test="${llistaGestoriesDto!=null}">			
				<select id="select1" name="<portlet:namespace/>nif_gestoria" style="float: left; width: 150px;">
					<option value=""></option>
					<c:forEach items="${llistaGestoriesDto}" var="gestoria">
						<c:choose>					
							<c:when test="${dtoObject.gestoria != null && dtoObject.gestoria.nif == gestoria.nif}">
								<option value="<c:out value="${gestoria.nif}"/>" selected="selected"><c:out value="${gestoria.nom}"/></option>
							</c:when>
							<c:otherwise>
								<option value="<c:out value="${gestoria.nif}"/>"><c:out value="${gestoria.nom}"/></option>
							</c:otherwise>
						</c:choose>
					</c:forEach>				
				</select>
			</c:if>
					
			<div class="label-manteniment2" style="width: 80px;"><spring:message code="manteniments.label.administrador"/></div>
			<c:set scope="request" value="${llistaAdministradorsDto}" var="llistaAdministradorsDto"/>		
			<%--Se modifica por ajax en funcin del primer combo--%>
			
			<c:if test="${llistaGestoriesDto!=null}">
				<c:forEach items="${llistaGestoriesDto}" var="gestoria">
					<c:if test="${dtoObject.gestoria != null && dtoObject.gestoria.nif == gestoria.nif}">
						<c:if test="${gestoria.administradorDTOs !=null}">
							<select id="select2" name="<portlet:namespace/>nif_administrador" style="float: left; width: 150px;">
								<c:forEach items="${gestoria.administradorDTOs}" var="administrador">
									<c:choose>
										<c:when test="${dtoObject.administrador != null && dtoObject.administrador.nif == administrador.nif}">
											<option value="<c:out value="${administrador.nif}"/>" selected="selected"><c:out value="${administrador.nom}"/></option>
										</c:when>
										<c:otherwise>
											<option value="<c:out value="${administrador.nif}"/>"><c:out value="${administrador.nom}"/></option>
										</c:otherwise>
									</c:choose>
								</c:forEach>				
							</select>
						</c:if>
					</c:if>
				</c:forEach>
			</c:if>
			
			<c:if test="${dtoObject.gestoria == null}">
				<select id="select2" name="<portlet:namespace/>nif_administrador" style="float: left; width: 150px;">
					<option value=""></option>
				</select>
			</c:if>			
		</div>
		
		<div class="salto">&nbsp;</div>
		<div class="salto" style="text-align: left;"><spring:message code="manteniments.info.dadesObligatories"/></div>
		<div class="salto">&nbsp;</div>
		
		<div class="boto-submit">
			<input type="submit" value="<spring:message code="manteniments.button.Guardar"/>"/>
		</div>
	</form>
	
	<c:set scope="request" value="${persistObject}" var="persistObject"/>		
	<c:if test="${dtoObject.nif != null && persistObject != false}">	
			<div class="boto-submit">
				<input type="button" onclick="javascript:openPopUp()" value="<spring:message code="manteniments.button.eliminar"/>"/>
			</div>
			<div class="salto">&nbsp;</div>
	</c:if>
	
</div>
	
<div style="display: none;">
	<div id="dialogo">
		<p class="dialogo"><spring:message code="popup.avis.contingut"/></p>
			<c:if test="${dtoObject.nif != null && persistObject != false}">
				<form 	method="post" name="eliminar"
					action="<portlet:renderURL>
								<portlet:param name="action" value="clientAction"/>
								<portlet:param name="reqCode" value="eliminar"/>
								<portlet:param name="id" value='<%=((ClientDTO) request.getAttribute("dtoObject")).getNif()%>'/>
							</portlet:renderURL>">					
					<div class="boto-submit">
						<input type="submit" value="<spring:message code="popup.avis.button.accept"/>"/>
					</div>
					<div class="salto">&nbsp;</div>
				</form>
			</c:if>
	</div>
</div>





