<%@page import="java.util.Calendar"%>
<%@page import="com.ferri.portlet.utils.Missatge"%>
<%@page import="java.util.Iterator"%>
<%@page import="com.ferri.portlet.utils.Format"%>
<%@page import="com.ferri.service.dto.ContracteDTO"%>
<%@ include file="../init.jsp"%>



<%
ArrayList<Missatge> missatges = (ArrayList<Missatge>) request.getAttribute("missatges");
Calendar haceUnMes = Calendar.getInstance();
haceUnMes.add(Calendar.MONTH, -1);
%>

<c:set var="renderUrl">
	<portlet:renderURL>
		<portlet:param name="action" value="pressupostAction"/>
		<portlet:param name="reqCode" value="buscar"/>
	</portlet:renderURL>
</c:set>

<div>
	<form method="post" name="buscar" action="<c:out value="${renderUrl}"/>">
	
		<c:set scope="request" value="${dtoObject}" var="dtoObject"/>

		<div class="salto">&nbsp;</div>
		
		
		<div class="label-cerca">
			<spring:message code="llista.search.nContracte"/>
		</div>
		
		<p>
			<input type="text" size="30" class="text-cerca" name="<portlet:namespace/>num_contracte" value="<c:out value="${dtoObject.numContracte}"/>"/>
		</p>
		<div class="label-cerca">
			<spring:message code="llista.search.nifCifClient" />
		</div>
		
		<p>
			<input type="text" size="30" class="text-cerca" name="<portlet:namespace/>nif_client" value="<c:out value="${dtoObject.client.nif}"/>"/>			
		</p>
		
		<div class="label-cerca">
			<spring:message code="llista.search.periodicitat" />
		</div>		
			
		<p>
			<c:set scope="request" value="${llistaPeriodeDto}" var="llistaPeriodeDto"/>
			<c:if test="${llistaPeriodeDto!=null}">
				<select class="select-cerca" name="<portlet:namespace/>periode">
					<option value=""></option>								
					<c:forEach items="${llistaPeriodeDto}" var="periodeDto">
						<c:choose>
							<c:when test="${dtoObject.tipusPeriode.id == periodeDto.id}">
								<c:choose>
									<c:when test="${idioma == 'es'}">
										<option value="<c:out value="${periodeDto.id}"/>" selected="selected">				
											<c:out value="${periodeDto.descEs}"/>	
										</option>										
									</c:when>
									<c:otherwise>
										<option value="<c:out value="${periodeDto.id}"/>" selected="selected">					
											<c:out value="${periodeDto.descCa}"/>	
										</option>								
									</c:otherwise>
								</c:choose>
							</c:when>
							<c:otherwise>
								<c:choose>
									<c:when test="${idioma == 'es'}">
										<option value="<c:out value="${periodeDto.id}"/>">				
											<c:out value="${periodeDto.descEs}"/>	
										</option>										
									</c:when>
									<c:otherwise>
										<option value="<c:out value="${periodeDto.id}"/>">					
											<c:out value="${periodeDto.descCa}"/>	
										</option>								
									</c:otherwise>
								</c:choose>								
							</c:otherwise>		
						</c:choose>				
					</c:forEach>
				</select>
			</c:if>
		</p>
		
		
		
		
		<div class="label-cerca">
			<spring:message code="llista.search.estat" />
		</div>		
		<p>
			<c:set scope="request" value="${llistaEstatDto}" var="llistaEstatDto"/>
			<c:if test="${llistaEstatDto!=null}">
				<select class="select-cerca" name="<portlet:namespace/>estat">
					<option value=""></option>								
					<c:forEach items="${llistaEstatDto}" var="estatDto">
						<c:choose>
							<c:when test="${dtoObject.estat.id == estatDto.id}">
								<c:choose>
									<c:when test="${idioma == 'es'}">
										<option value="<c:out value="${estatDto.id}"/>" selected="selected">				
											<c:out value="${estatDto.descEs}"/>	
										</option>										
									</c:when>
									<c:otherwise>
										<option value="<c:out value="${estatDto.id}"/>" selected="selected">					
											<c:out value="${estatDto.descCa}"/>	
										</option>								
									</c:otherwise>
								</c:choose>
							</c:when>
							<c:otherwise>
								<c:choose>
									<c:when test="${idioma == 'es'}">
										<option value="<c:out value="${estatDto.id}"/>">				
											<c:out value="${estatDto.descEs}"/>	
										</option>										
									</c:when>
									<c:otherwise>
										<option value="<c:out value="${estatDto.id}"/>">					
											<c:out value="${estatDto.descCa}"/>	
										</option>								
									</c:otherwise>
								</c:choose>								
							</c:otherwise>		
						</c:choose>				
					</c:forEach>
				</select>
			</c:if>
		</p>
		
		<div class="label-cerca">
			<spring:message code="llista.search.ordre" />
		</div>
		
		
		<p>
			<select class="select-cerca" name="<portlet:namespace/>ordre">
				<option value="entitat.data, entitat.client.nom" <c:if test="${dtoObject.ordre=='entitat.data, entitat.client.nom'}">selected="selected"</c:if>>				
					<spring:message code="llista.search.option.data" />
				</option>
				<option value="entitat.client.nom, entitat.data" <c:if test="${dtoObject.ordre=='entitat.client.nom, entitat.data'}">selected="selected"</c:if>>
					<spring:message code="llista.search.option.nom" />
				</option>
			</select>
		</p>
		
		<div class="salto">&nbsp;</div>
		
		<div class="boto-submit-cerca">
			<input type="submit" value="<spring:message code="llista.button.buscar"/>"/>			
		</div>
		
		<div class="salto">&nbsp;</div>
		
		<%if(missatges != null){%>
			<%for(Iterator<Missatge> iter = missatges.iterator(); iter.hasNext();){
				Missatge msg = iter.next();
			%>
				<%if(msg.getType().equals(Missatge.TYPE_SUCCES)){%>
					<div class="msg msg-info"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_INFO)){%>
					<div class="msg msg-warning"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_ERROR)){%>
					<div class="msg msg-error"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}%>
				<div class="salto">&nbsp;</div>
			<%}%>
		<%}%>
</form>
</div>

<br/>
<br/>

<table width="95%" border="0" align="center" cellpadding="1" cellspacing="1" class="table-resultats">
    <tbody>
        <tr>
            <td>&nbsp;&nbsp;<span class="table-header"><spring:message code="llista.header.numero"/></span></td>
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.intervencions"/></span></td>
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.dataAlta"/></span></td>
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.client"/></span></td>
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.estat"/></span></td>
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.factura"/></span></td>
            <td><span class="table-header"><br/>
            
            </span></td>
        </tr>
        
		<c:set scope="request" value="${dtoList}" var="llista"/>
		<c:if test="${llista!=null}">
			<c:forEach items="${llista}" var="dtoLlista">        	
		      	<tr>
		            <td>
		            	<span class="table-content">&nbsp;&nbsp;		            		            	
			            	
			            	<a href="<portlet:renderURL>
										<portlet:param name="action" value="pressupostAction"/>
										<portlet:param name="reqCode" value="editar"/>
										<portlet:param name="num_contracte" value='<%=((ContracteDTO) pageContext.getAttribute("dtoLlista")).getNumContracte()%>'/>
									</portlet:renderURL>"><c:out value="${dtoLlista.numContracte}"/></a>
						</span>
					</td>
		            
		            <td style="text-align: center;"><span class="table-content"><a href="#">2</a></span></td>
		            
		            <td style="text-align: center;"><span class="table-content"><%=Format.date2String(((ContracteDTO) pageContext.getAttribute("dtoLlista")).getData())%></span></td>
		            
		            <% 	String link_ = 	"/web/guest/clients"+
		            					"?p_p_id=client_WAR_tfcportlet_INSTANCE_2Nvm"+
		            					"&_client_WAR_tfcportlet_INSTANCE_2Nvm_action=clientAction"+
		            					"&_client_WAR_tfcportlet_INSTANCE_2Nvm_reqCode=buscar"+
		            					"&_client_WAR_tfcportlet_INSTANCE_2Nvm_nif="+
		            					((ContracteDTO) pageContext.getAttribute("dtoLlista")).getClient().getNif();
		            	String link2_= "";				
		            	if(((ContracteDTO) pageContext.getAttribute("dtoLlista")).getFactura() != null){
			            	link2_= 	"/web/guest/factures"+
		            					"?p_p_id=factura_WAR_tfcportlet_INSTANCE_u1Ga"+ 
		            					"&_factura_WAR_tfcportlet_INSTANCE_u1Ga_action=facturaAction"+
		            					"&_factura_WAR_tfcportlet_INSTANCE_u1Ga_reqCode=buscar"+
		            					"&_factura_WAR_tfcportlet_INSTANCE_u1Ga_num_factura="+				
		            					((ContracteDTO) pageContext.getAttribute("dtoLlista")).getFactura().getNumFactura();
		            	}%>
		            	
		            <td style="text-align: center; "><span class="table-content"><a href="<%=link_ %>"><c:out value="${dtoLlista.client.nif}"/></a></span></td>

		            <td style="text-align: center;">
		            	<span class="table-content">
		       				<c:choose>
								<c:when test="${dtoLlista.estat.id == '8'}">
									<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/images/semaforo-ambar.png"%>"/>
								</c:when>
								<c:when test="${dtoLlista.estat.id == '9'}">								
									<%if(((ContracteDTO) pageContext.getAttribute("dtoLlista")).getData().before(haceUnMes.getTime())){%>
										<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/images/semaforo-rojo.png"%>"/>
									<%}else{%>
										<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/images/semaforo-ambar.png"%>"/>
									<%}%>								
								</c:when>
								<c:when test="${dtoLlista.estat.id == '10'}">
									<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/images/semaforo-verde.png"%>"/>
								</c:when>								
							</c:choose>     		
						</span>
					</td>
		            
		            <td style="text-align: center; "><span class="table-content"><a href="<%=link2_ %>"><c:out value="${dtoLlista.factura.numFactura}"/></a></span></td>
		            
		            <td><span class="table-content"><br/></span></td>
		        </tr>        	    
        	</c:forEach>        	
        </c:if>
    </tbody>
</table>
<br/>

<div style="padding-right:30px; padding-bottom: 10px; text-align: right; background-color: #777FD7;">
	
	<form 	method="post" 
			name="afegir" 
			action="<portlet:renderURL>
						<portlet:param name="action" value="pressupostAction"/>
						<portlet:param name="reqCode" value="afegir"/>
					</portlet:renderURL>">
		<input type="submit" value="<spring:message code="llista.button.altaNova"/>"/>
	</form>
</div>





