<%@page import="java.util.Calendar"%>
<%@page import="java.util.Iterator"%>
<%@page import="com.ferri.portlet.utils.Missatge"%>
<%@page import="com.ferri.portlet.utils.Format"%>
<%@page import="com.ferri.service.dto.ContracteDTO"%>
<%@ include file="../init.jsp"%>

<script type="text/javascript" src="/tfc-portlet/js/jquery/ui.autocomplete.js"></script>

<script type="text/javascript">
	var arrayValoresAutocompletar = [<%=(String) request.getAttribute("arrayClientAutocomplete")%>];
	
	jQuery(document).ready(function(){
	    	jQuery('#<portlet:namespace/>nif_client').autocomplete({	    		
	    		data:arrayValoresAutocompletar
	    		});
	    }
	    );
	
	function openPopUp(){
		jQuery(document).ready(function(){
			jQuery("#dialogo").dialog({
			      modal: true,
			      title: '<spring:message code="popup.avis.titol"/>',
			      width: 350,
			      height: 120,
			      show: "fold",
			      hide: "scale"
			   });
			});
	}
	
	function openPopUp2(){
		jQuery(document).ready(function(){
			jQuery("#dialogo2").dialog({
			      modal: true,
			      title: '<spring:message code="popup.enviament.mail.titol"/>',
			      width: 350,
			      height: 240,
			      show: "fold",
			      hide: "scale"
			   });
			});
	}
	
</script>

<%
ArrayList<Missatge> missatges = (ArrayList<Missatge>) request.getAttribute("missatges");
Calendar haceUnMes = Calendar.getInstance();
haceUnMes.add(Calendar.MONTH, -1);
%>

<div style="height: 300px;">
	<br />

	<form method="post" name="afegir"
		action="<portlet:renderURL>
						<portlet:param name="action" value="contracteAction"/>
						<portlet:param name="reqCode" value="guardar"/>
					</portlet:renderURL>">

		<%if(missatges != null){%>
			<%for(Iterator<Missatge> iter = missatges.iterator(); iter.hasNext();){
				Missatge msg = iter.next();
			%>
				<%if(msg.getType().equals(Missatge.TYPE_SUCCES)){%>
					<div class="msg msg-info"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_INFO)){%>
					<div class="msg msg-warning"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_ERROR)){%>
					<div class="msg msg-error"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}%>
				<div class="salto">&nbsp;</div>
			<%}%>
		<%}%>
		
		<c:set scope="request" value="${dtoObject}" var="dtoObject"/>
		
		<div class="label-manteniment1"><spring:message code="manteniments.label.client"/>*</div>
		<c:if test="${dtoObject.estat != null}">
			<input type="text" name="nif_client" size="25" value="<c:out value="${dtoObject.client.nif}"/>" style="float: left" disabled="disabled"/>
			<input type="hidden" name="<portlet:namespace/>nif_client" value="<c:out value="${dtoObject.client.nif}"/>"/>
		</c:if>
		<c:if test="${dtoObject.estat == null}">
			<input type="text" id="<portlet:namespace/>nif_client" name="<portlet:namespace/>nif_client" size="25" value="<c:out value="${dtoObject.client.nif}"/>" style="float: left"/>
		</c:if>

		<%String color_estat = "white";%>
		<c:choose>
			<c:when test="${dtoObject.estat.id == '8'}">
				<%color_estat = "orange";%>
			</c:when>
			<c:when test="${dtoObject.estat.id == '9'}">	
				<%if(((ContracteDTO) request.getAttribute("dtoObject")).getData().before(haceUnMes.getTime())){%>
					<%color_estat = "#ff5555"; //Rosa%>
				<%}else{%>
					<%color_estat = "orange";%>
				<%}%>				
			</c:when>
			<c:when test="${dtoObject.estat.id == '10'}">
				<%color_estat = "yellowGreen";%>
			</c:when>			
		</c:choose>
		
		<div class="label-manteniment2" style="width: 80px;"><spring:message code="manteniments.label.nContracte"/></div>
		<input type="text" name="num_contracte" size="10" value="<c:out value="${dtoObject.numContracte}"/>" style="float: left; background: <%=color_estat%>;" disabled="disabled"/>
		<input type="hidden" name="<portlet:namespace/>num_contracte" value="<c:out value="${dtoObject.numContracte}"/>">
			
		
		<div class="salto">&nbsp;</div>
		
		
		
		<div class="label-manteniment1"><spring:message code="manteniments.label.periodicitat"/>*</div>
		
		<c:set scope="request" value="${llistaPeriodeDto}" var="llistaPeriodeDto"/>
		<c:if test="${llistaPeriodeDto!=null}">
			<select class="select-cerca" name="<portlet:namespace/>periode">
				<c:forEach items="${llistaPeriodeDto}" var="periodeDto">
					<c:choose>
						<c:when test="${dtoObject.tipusPeriode.id == periodeDto.id}">
							<c:choose>
								<c:when test="${idioma == 'es'}">
									<option value="<c:out value="${periodeDto.id}"/>" selected="selected">				
										<c:out value="${periodeDto.descEs}"/>	
									</option>										
								</c:when>
								<c:otherwise>
									<option value="<c:out value="${periodeDto.id}"/>" selected="selected">					
										<c:out value="${periodeDto.descCa}"/>	
									</option>								
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:choose>
								<c:when test="${idioma == 'es'}">
									<option value="<c:out value="${periodeDto.id}"/>">				
										<c:out value="${periodeDto.descEs}"/>	
									</option>										
								</c:when>
								<c:otherwise>
									<option value="<c:out value="${periodeDto.id}"/>">					
										<c:out value="${periodeDto.descCa}"/>	
									</option>								
								</c:otherwise>
							</c:choose>								
						</c:otherwise>		
					</c:choose>				
				</c:forEach>
			</select>
		</c:if>
		
		<div class="label-manteniment2" style="width: 80px;"><spring:message code="manteniments.label.data"/></div>
		<c:choose>
			<c:when test="${dtoObject.data != null}">
				<input type="text" name="<portlet:namespace/>data" size="10" value="<%=Format.date2String(((ContracteDTO) request.getAttribute("dtoObject")).getData())%>" style="float: left" disabled="disabled"/>
			</c:when>
			<c:otherwise>
				<input type="text" name="<portlet:namespace/>data" size="10" value="" style="float: left" disabled="disabled"/>
			</c:otherwise>
		</c:choose>	
		
		<div class="salto">&nbsp;</div>
		<div class="label-manteniment1"><spring:message code="manteniments.label.bi"/>*</div>
		<c:choose>
			<c:when test="${dtoObject.baseImponibleS != null && dtoObject.baseImponibleS != ''}">
				<input type="text" name="<portlet:namespace/>base_imponible" size="30" value="<c:out value="${dtoObject.baseImponibleS}"/>" style="float: left"/>
			</c:when>
			<c:otherwise>
				<input type="text" name="<portlet:namespace/>base_imponible" size="30" value="<c:out value="${dtoObject.baseImponible}"/>" style="float: left"/>
			</c:otherwise>
		</c:choose>
		
		

		<div class="salto">&nbsp;</div>
		<div class="salto" style="text-align: left;"><spring:message code="manteniments.info.dadesObligatories"/></div>
		<div class="salto">&nbsp;</div>
		<c:choose>
			<c:when test="${dtoObject.estat.id != 10}">		
				<div class="boto-submit">
					<input type="submit" value="<spring:message code="manteniments.button.Guardar"/>"/>
				</div>
			</c:when>
			<c:otherwise>
				<div class="boto-submit">
					<input type="submit" value="<spring:message code="manteniments.button.Guardar"/>" style="background: #fff !important; color:#ccc !important;" disabled="disabled"/>
				</div>
			</c:otherwise>		
		</c:choose>
	</form>
	
	<c:if test="${dtoObject.estat != null}">	

		<c:if test="${dtoObject.estat.id == 9}">		
			<form 	method="post" name="signar"
					action="<portlet:renderURL>
								<portlet:param name="action" value="contracteAction"/>
								<portlet:param name="reqCode" value="signar"/>
								<portlet:param name="id" value='<%=((ContracteDTO) request.getAttribute("dtoObject")).getNumContracte()%>'/>
							</portlet:renderURL>">			
				<div class="boto-submit">
					<input type="submit" value="<spring:message code="manteniments.button.aprovaPressupost"/>"/>
				</div>
			</form>						
		</c:if>			
		
		<c:if test="${dtoObject.estat.id == 8 || dtoObject.estat.id == 9}">		
				<div class="boto-submit">
					<input type="button" onclick="javascript:openPopUp()" value="<spring:message code="manteniments.button.eliminar"/>"/>
				</div>
		</c:if>		
		
		<div class="boto-submit">
			<a href="#" onclick="javascript:openPopUp2()" title="<spring:message code="manteniments.button.enviaContracte"/>">
				<img width="40px" height="40px" alt="<spring:message code="manteniments.button.enviaContracte"/>" src="<%=request.getContextPath() + "/" + "images" + "/" + "icono_mail.png"%>"/>
			</a>
		</div>
		
		<%String linkPdf = 	"/tfc-portlet/pdf?id=" + ((ContracteDTO) request.getAttribute("dtoObject")).getNumContracte();%>		
		<div class="boto-submit">
			<a href="<%=linkPdf%>" target="_blank" title="<spring:message code="manteniments.button.generarImpres"/>">
				<img width="40px" height="40px" alt="<spring:message code="manteniments.button.generarImpres"/>" src="<%=request.getContextPath() + "/" + "images" + "/" + "icono_pdf.png"%>"/>
			</a>
		</div>
		
	</c:if>
	<div class="salto">&nbsp;</div>
</div>
	
<div style="display: none;">
	<div id="dialogo">
		<p class="dialogo"><spring:message code="popup.avis.contingut"/></p>
			<c:if test="${dtoObject.estat.id == 8 || dtoObject.estat.id == 9}">
				<form 	method="post" name="eliminar"
						action="<portlet:renderURL>
									<portlet:param name="action" value="contracteAction"/>
									<portlet:param name="reqCode" value="eliminar"/>
									<portlet:param name="id" value='<%=((ContracteDTO) request.getAttribute("dtoObject")).getNumContracte()%>'/>
								</portlet:renderURL>">			
					<div class="boto-submit">
						<input type="submit" value="<spring:message code="popup.avis.button.accept"/>"/>
					</div>
					<div class="salto">&nbsp;</div>
				</form>
			</c:if>
	</div>
	
	<div id="dialogo2">
		<p class="dialogo"><spring:message code="popup.enviament.mail.contingut"/></p>
			<c:if test="${dtoObject.estat != null}">
				
				<form 	method="post" name="enviar"
						action="<portlet:renderURL>
									<portlet:param name="action" value="contracteAction"/>
									<portlet:param name="reqCode" value="enviar"/>
									<portlet:param name="id" value='<%=((ContracteDTO) request.getAttribute("dtoObject")).getNumContracte()%>'/>
								</portlet:renderURL>">
							
					<c:if test="${llistaMails!=null}">
						<%int cont = 0;%>
						<c:forEach items="${llistaMails}" var="binomi">
							<p class="dialogo"><input type="checkbox" name="<portlet:namespace/>mail_<%=cont ++%>" value="<c:out value="${binomi[1]}"/>"> <b><c:out value="${binomi[0]}"/> <i><c:out value="${binomi[1]}"/></i></b></p>							
						</c:forEach>
					</c:if>				
											
					<div class="boto-submit">
						<input type="submit" value="<spring:message code="popup.enviament.mail.button.enviar"/>"/>
					</div>
												
					<div class="salto">&nbsp;</div>
				</form>
			</c:if>
	</div>
</div>
