<%@page import="java.util.Iterator"%>
<%@page import="com.ferri.portlet.utils.Missatge"%>
<%@page import="com.ferri.portlet.utils.Format"%>
<%@page import="com.ferri.service.dto.GestoriaDTO"%>
<%@ include file="../init.jsp"%>

<%
ArrayList<Missatge> missatges = (ArrayList<Missatge>) request.getAttribute("missatges");
%>

<script type="text/javascript">
	function openPopUp(){
		jQuery(document).ready(function(){
			jQuery("#dialogo").dialog({
			      modal: true,
			      title: '<spring:message code="popup.avis.titol"/>',
			      width: 350,
			      height: 120,
			      show: "fold",
			      hide: "scale"
			   });
			});
	}
</script>

<div style="height: 430px;">
	<br />

	<form method="post" name="afegir"
		action="<portlet:renderURL>
						<portlet:param name="action" value="gestoriaAction"/>
						<portlet:param name="reqCode" value="guardar"/>
					</portlet:renderURL>">

		<%if(missatges != null){%>
			<%for(Iterator<Missatge> iter = missatges.iterator(); iter.hasNext();){
				Missatge msg = iter.next();
			%>
				<%if(msg.getType().equals(Missatge.TYPE_SUCCES)){%>
					<div class="msg msg-info"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_INFO)){%>
					<div class="msg msg-warning"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_ERROR)){%>
					<div class="msg msg-error"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}%>
				<div class="salto">&nbsp;</div>
			<%}%>
		<%}%>
		
		<c:set scope="request" value="${dtoObject}" var="dtoObject"/>
		
		<div class="label-manteniment1"><spring:message code="manteniments.label.rao"/>*</div>
		<input type="text" name="<portlet:namespace/>nom" size="30" value="<c:out value="${dtoObject.nom}"/>"
			style="float: left"/>

		<div class="label-manteniment2" style="width: 60px;"><spring:message code="manteniments.label.nifCif"/>*</div>
		
		<c:choose>					
			<c:when test="${validationNif.nif == null && dtoObject.nif != null}">
				<input type="text" name="nif_disabled" size="10" value="<c:out value="${dtoObject.nif}"/>" style="float: left" disabled="disabled"/>
				<input type="hidden" name="<portlet:namespace/>nif" value="<c:out value="${dtoObject.nif}"/>"/>
			</c:when>
			<c:otherwise>
				<input type="text" name="<portlet:namespace/>nif" size="10" value="<c:out value="${dtoObject.validationNif}"/>" style="float: left" />
			</c:otherwise>
		</c:choose>	
		
		
		<div class="salto">&nbsp;</div>

		<div
			class="label-manteniment1"><spring:message code="manteniments.label.carrer"/>*</div>
		<input type="text" name="<portlet:namespace/>carrer" size="15" value="<c:out value="${dtoObject.carrer}"/>"
			style="float: left" />

		<div class="label-manteniment2" style="width: 60px;"><spring:message code="manteniments.label.munero"/>*</div>
		<input type="text" name="<portlet:namespace/>numero" size="5" value="<c:out value="${dtoObject.numero}"/>"
			style="float: left" />

		<div class="label-manteniment2" style="width: 45px;"><spring:message code="manteniments.label.resta"/></div>
		<input type="text" name="<portlet:namespace/>resta" size="5" value="<c:out value="${dtoObject.resta}"/>"
			style="float: left" />

		<div class="salto">&nbsp;</div>
		<div
			class="label-manteniment1"><spring:message code="manteniments.label.municipi"/>*</div>
		<input type="text" name="<portlet:namespace/>municipi" size="30" value="<c:out value="${dtoObject.municipi}"/>"
			style="float: left" />

		<div class="label-manteniment2" style="width: 60px;"><spring:message code="manteniments.label.cp"/>*</div>
		<input type="text" name="<portlet:namespace/>cp" size="10" value="<c:out value="${dtoObject.cp}"/>"
			style="float: left" />

		<div class="salto">&nbsp;</div>
		<div
			class="label-manteniment1"><spring:message code="manteniments.label.nomComptable"/>*</div>
		<input type="text" name="<portlet:namespace/>nom_comptable" size="25" value="<c:out value="${dtoObject.nomComptable}"/>"
			style="float: left" />

		<div class="label-manteniment2" style="width: 100px;"><spring:message code="manteniments.label.nifComptable"/></div>
		<input type="text" name="<portlet:namespace/>nif_comptable" size="8" value="<c:out value="${dtoObject.nifComptable}"/>"
			style="float: left" />

		<div class="salto">&nbsp;</div>
		<div
			class="label-manteniment1"><spring:message code="manteniments.label.telefon"/>*</div>
		<input type="text" name="<portlet:namespace/>telefon" size="10" value="<c:out value="${dtoObject.telefon}"/>"
			style="float: left" />

		<div class="label-manteniment2" style="width: 60px;"><spring:message code="manteniments.label.mail"/>*</div>
		<input type="text" name="<portlet:namespace/>mail" size="30" value="<c:out value="${dtoObject.mail}"/>"
			style="float: left" />
		<div class="salto">&nbsp;</div>

		<div class="label-manteniment1"><spring:message code="manteniments.label.comissio"/>*</div>

		<select name="<portlet:namespace/>comissio" style="float: left; width: 150px;">
			<c:choose>					
				<c:when test="${dtoObject.comissio=='S'}">
					<option value="S" selected="selected"><spring:message code="manteniments.option.comissio.si"/></option>
					<option value="N"><spring:message code="manteniments.option.comissio.no"/></option>
				</c:when>
				<c:otherwise>
					<option value="S"><spring:message code="manteniments.option.comissio.si"/></option>
					<option value="N" selected="selected"><spring:message code="manteniments.option.comissio.no"/></option>
				</c:otherwise>
			</c:choose>
		</select> 
		
		<div class="salto">&nbsp;</div>
		<div class="salto" style="text-align: left;"><spring:message code="manteniments.info.dadesObligatories"/></div>
		<div class="salto">&nbsp;</div>
		
		<div class="boto-submit">
			<input type="submit" value="<spring:message code="manteniments.button.Guardar"/>"/>
		</div>
	</form>
	
	<c:set scope="request" value="${persistObject}" var="persistObject"/>		
	<c:if test="${dtoObject.nif != null && persistObject != false}">	
			<div class="boto-submit">
				<input type="button" onclick="javascript:openPopUp()" value="<spring:message code="manteniments.button.eliminar"/>"/>
			</div>
			<div class="salto">&nbsp;</div>
	</c:if>
	
</div>
	

<div style="display: none;">
	<div id="dialogo">
		<p class="dialogo"><spring:message code="popup.avis.contingut"/></p>
			<c:if test="${dtoObject.nif != null && persistObject != false}">
				<form 	method="post" name="eliminar"
					action="<portlet:renderURL>
								<portlet:param name="action" value="gestoriaAction"/>
								<portlet:param name="reqCode" value="eliminar"/>
								<portlet:param name="id" value='<%=((GestoriaDTO) request.getAttribute("dtoObject")).getNif()%>'/>
							</portlet:renderURL>">			
					<div class="boto-submit">
						<input type="submit" value="<spring:message code="popup.avis.button.accept"/>"/>
					</div>
					<div class="salto">&nbsp;</div>
				</form>
			</c:if>
	</div>
</div>
