<%@page import="java.util.Date"%>
<%@page import="java.util.Calendar"%>
<%@page import="com.ferri.portlet.utils.Missatge"%>
<%@page import="java.util.Iterator"%>
<%@page import="com.ferri.portlet.utils.Format"%>
<%@page import="com.ferri.service.dto.IntervencioDTO"%>
<%@ include file="../init.jsp"%>



<%
ArrayList<Missatge> missatges = (ArrayList<Missatge>) request.getAttribute("missatges");
Calendar cal = Calendar.getInstance();

//.add(Calendar.MONTH, -1);
%>

<c:set var="renderUrl">
	<portlet:renderURL>
		<portlet:param name="action" value="intervencioAction"/>
		<portlet:param name="reqCode" value="buscar"/>
	</portlet:renderURL>
</c:set>

<div>
	<form method="post" name="buscar" action="<c:out value="${renderUrl}"/>">
	
		<c:set scope="request" value="${dtoObject}" var="dtoObject"/>

		<div class="salto">&nbsp;</div>
		
		
		<div class="label-cerca">
			<spring:message code="llista.search.nContracte"/>
		</div>
		
		<p>
			<input type="text" size="30" class="text-cerca" name="<portlet:namespace/>num_contracte" value="<c:out value="${dtoObject.contracte.numContracte}"/>"/>
		</p>
		<div class="label-cerca">
			<spring:message code="llista.search.nifCifClient" />
		</div>
		
		<p>
			<input type="text" size="30" class="text-cerca" name="<portlet:namespace/>nif_client" value="<c:out value="${dtoObject.client.nif}"/>"/>			
		</p>
		
		<div class="label-cerca">
			<spring:message code="llista.search.estat" />
		</div>		
		<p>
			<c:set scope="request" value="${llistaEstatDto}" var="llistaEstatDto"/>
			<c:if test="${llistaEstatDto!=null}">
				<select class="select-cerca" name="<portlet:namespace/>estat">
					<option value=""></option>								
					<c:forEach items="${llistaEstatDto}" var="estatDto">
						<c:choose>
							<c:when test="${dtoObject.estat.id == estatDto.id}">
								<c:choose>
									<c:when test="${idioma == 'es'}">
										<option value="<c:out value="${estatDto.id}"/>" selected="selected">				
											<c:out value="${estatDto.descEs}"/>	
										</option>										
									</c:when>
									<c:otherwise>
										<option value="<c:out value="${estatDto.id}"/>" selected="selected">					
											<c:out value="${estatDto.descCa}"/>	
										</option>								
									</c:otherwise>
								</c:choose>
							</c:when>
							<c:otherwise>
								<c:choose>
									<c:when test="${idioma == 'es'}">
										<option value="<c:out value="${estatDto.id}"/>">				
											<c:out value="${estatDto.descEs}"/>	
										</option>										
									</c:when>
									<c:otherwise>
										<option value="<c:out value="${estatDto.id}"/>">					
											<c:out value="${estatDto.descCa}"/>	
										</option>								
									</c:otherwise>
								</c:choose>								
							</c:otherwise>		
						</c:choose>				
					</c:forEach>
				</select>
			</c:if>
		</p>
		
		<div class="label-cerca">
			<spring:message code="llista.search.dataDeA" />
		</div>
		<p><input type="text" size="11" style="float: left" name="<portlet:namespace/>dataDesde" value="<c:out value="${dtoObject.dataIniS}"/>"/>&nbsp;<input type="text" size="12" style="float: left" name="<portlet:namespace/>dataFins" value="<c:out value="${dtoObject.dataFinS}"/>"/></p>
		
		<div class="label-cerca">
			<spring:message code="llista.search.ordre" />
		</div>
		<p>
			<select class="select-cerca" name="<portlet:namespace/>ordre">
				<option value="entitat.dataIntervencio, entitat.any, entitat.mes, entitat.client.nom" <c:if test="${dtoObject.ordre=='entitat.dataIntervencio, entitat.any, entitat.mes, entitat.client.nom'}">selected="selected"</c:if>>				
					<spring:message code="llista.search.option.data" />
				</option>
				<option value="entitat.client.nom, entitat.dataIntervencio, entitat.any, entitat.mes" <c:if test="${dtoObject.ordre=='entitat.client.nom, entitat.dataIntervencio, entitat.any, entitat.mes'}">selected="selected"</c:if>>
					<spring:message code="llista.search.option.nom" />
				</option>
			</select>
		</p>
		
		<div class="salto">&nbsp;</div>
		
		<div class="boto-submit-cerca">
			<input type="submit" value="<spring:message code="llista.button.buscar"/>"/>			
		</div>
		
		<div class="salto">&nbsp;</div>
		
		<%if(missatges != null){%>
			<%for(Iterator<Missatge> iter = missatges.iterator(); iter.hasNext();){
				Missatge msg = iter.next();
			%>
				<%if(msg.getType().equals(Missatge.TYPE_SUCCES)){%>
					<div class="msg msg-info"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_INFO)){%>
					<div class="msg msg-warning"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_ERROR)){%>
					<div class="msg msg-error"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}%>
				<div class="salto">&nbsp;</div>
			<%}%>
		<%}%>
</form>
</div>

<br/>
<br/>

<table width="95%" border="0" align="center" cellpadding="1" cellspacing="1" class="table-resultats">
    <tbody>
        <tr>
            <td>&nbsp;&nbsp;<span class="table-header"><spring:message code="llista.header.contracte"/></span></td>
            <td style="text-align: right;"><span class="table-header"><spring:message code="llista.header.previsio"/></span></td>            
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.dataActua"/></span></td>
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.client"/></span></td>
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.estat"/></span></td>
            <td><span class="table-header"><br/></span></td>
            <td><span class="table-header"><br/></span></td>
        </tr>
        
		<c:set scope="request" value="${dtoList}" var="llista"/>
		<c:if test="${llista!=null}">
			<c:forEach items="${llista}" var="dtoLlista">        	
		      	<tr>
			           <%String link_ = 	"/web/guest/clients"+
     					"?p_p_id=client_WAR_tfcportlet_INSTANCE_2Nvm"+
     					"&_client_WAR_tfcportlet_INSTANCE_2Nvm_action=clientAction"+
     					"&_client_WAR_tfcportlet_INSTANCE_2Nvm_reqCode=buscar"+
     					"&_client_WAR_tfcportlet_INSTANCE_2Nvm_nif="+
     					((IntervencioDTO) pageContext.getAttribute("dtoLlista")).getClient().getNif();
     					
     					String link2_ = "/web/guest/contractes"+
     							"?p_p_id=contracte_WAR_tfcportlet_INSTANCE_4D5b"+
     							"&_contracte_WAR_tfcportlet_INSTANCE_4D5b_action=pressupostAction"+
     							"&_contracte_WAR_tfcportlet_INSTANCE_4D5b_reqCode=buscar"+          			
     							"&_contracte_WAR_tfcportlet_INSTANCE_4D5b_num_contracte="+
     							((IntervencioDTO) pageContext.getAttribute("dtoLlista")).getContracte().getNumContracte();
     					
     					%>
     					
		            <td>
		            	<span class="table-content">&nbsp;&nbsp;
			            	<a href="<%=link2_%>"><c:out value="${dtoLlista.contracte.numContracte}"/></a>
						</span>
					</td>
		            
		            <td style="text-align: right;">
		            	<span class="table-content">
							<%	String any =  ((IntervencioDTO) pageContext.getAttribute("dtoLlista")).getAny().toString();
								String mes = ((IntervencioDTO) pageContext.getAttribute("dtoLlista")).getMes().toString();
								String key = "llista.other.any.mes." + mes;%>  								
		            		<spring:message code="<%=key%>" arguments="<%=any%>"/>
		            	</span>
		            </td>
		            
		            <td style="text-align: center;">
		            	<span class="table-content">
		            		<c:if test="${dtoLlista.dataIntervencio!=null}">
		            			<%=Format.date2String(((IntervencioDTO) pageContext.getAttribute("dtoLlista")).getDataIntervencio())%>
		            		</c:if>
		            	</span>
		            </td>
		            
		            <td style="text-align: center; "><span class="table-content"><a href="<%=link_ %>"><c:out value="${dtoLlista.client.nif}"/></a></span></td>

		            <td style="text-align: center;">
		            	<span class="table-content">
		       				<c:choose>
								<c:when test="${dtoLlista.estat.id == '11'}">
									<%if(	((cal.get(Calendar.YEAR)) + 
											 Format.NUMERACIO_FORMAT2.format((cal.get(Calendar.MONTH))+1))
											 .compareTo(											
											((IntervencioDTO) pageContext.getAttribute("dtoLlista")).getAny().toString() +
											Format.NUMERACIO_FORMAT2.format(((IntervencioDTO) pageContext.getAttribute("dtoLlista")).getMes()))== 1){%>
									
										<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/images/semaforo-rojo.png"%>"/>
									<%}else{%>
										<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/images/semaforo-ambar.png"%>"/>
									<%}%>								
								</c:when>
								<c:when test="${dtoLlista.estat.id == '12'}">
									<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/images/semaforo-verde.png"%>"/>
								</c:when>								
							</c:choose>     		
						</span>
					</td>
		            
		            <td style="text-align: center; ">
		            	<span class="table-content">
			            	<c:if test="${dtoLlista.estat.id == '11'}">
			            		<a href="	<portlet:renderURL>
												<portlet:param name="action" value="intervencioAction"/>
												<portlet:param name="reqCode" value="guardar"/>
												<portlet:param name="id" value='<%=((IntervencioDTO) pageContext.getAttribute("dtoLlista")).getId().toString()%>'/>
											 </portlet:renderURL>"><spring:message code="llista.link.finalitza"/>
								</a>
			            	</c:if>
						</span>
					</td>
					
		            <td><span class="table-content"><br/></span></td>
		        </tr>        	    
        	</c:forEach>        	
        </c:if>
    </tbody>
</table>
<br/>

<div style="padding-right:30px; padding-bottom: 10px; text-align: right; background-color: #777FD7;">
	
	<form 	method="post" 
			name="afegir" 
			action="<portlet:renderURL>
						<portlet:param name="action" value="intervencioAction"/>
						<portlet:param name="reqCode" value="afegir"/>
					</portlet:renderURL>">
		<input type="submit" value="<spring:message code="llista.button.altaNova"/>"/>
	</form>
</div>





