<%@page import="java.util.Calendar"%>
<%@page import="java.util.Iterator"%>
<%@page import="com.ferri.portlet.utils.Missatge"%>
<%@page import="com.ferri.portlet.utils.Format"%>
<%@page import="com.ferri.service.dto.PressupostDTO"%>
<%@ include file="../init.jsp"%>

<script type="text/javascript" src="/tfc-portlet/js/jquery/ui.autocomplete.js"></script>

<script type="text/javascript">
	var arrayValoresAutocompletar = [<%=(String) request.getAttribute("arrayClientAutocomplete")%>];
	
	jQuery(document).ready(function(){
	    	jQuery('#<portlet:namespace/>nif_client').autocomplete({	    		
	    		data:arrayValoresAutocompletar
	    		});
	    }
	    );

	function openPopUp(){
		jQuery(document).ready(function(){
			jQuery("#dialogo").dialog({
			      modal: true,
			      title: '<spring:message code="popup.avis.titol"/>',
			      width: 350,
			      height: 120,
			      show: "fold",
			      hide: "scale"
			   });
			});
	}
	
	function openPopUp2(){
		jQuery(document).ready(function(){
			jQuery("#dialogo2").dialog({
			      modal: true,
			      title: '<spring:message code="popup.enviament.mail.titol"/>',
			      width: 350,
			      height: 240,
			      show: "fold",
			      hide: "scale"
			   });
			});
	}
	
</script>

<%
ArrayList<Missatge> missatges = (ArrayList<Missatge>) request.getAttribute("missatges");
Calendar haceUnMes = Calendar.getInstance();
haceUnMes.add(Calendar.MONTH, -1);
%>

<div style="height: 400px;">
	<br />

	<form method="post" name="afegir"
		action="<portlet:renderURL>
						<portlet:param name="action" value="pressupostAction"/>
						<portlet:param name="reqCode" value="guardar"/>
					</portlet:renderURL>">

		<%if(missatges != null){%>
			<%for(Iterator<Missatge> iter = missatges.iterator(); iter.hasNext();){
				Missatge msg = iter.next();
			%>
				<%if(msg.getType().equals(Missatge.TYPE_SUCCES)){%>
					<div class="msg msg-info"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_INFO)){%>
					<div class="msg msg-warning"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_ERROR)){%>
					<div class="msg msg-error"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}%>
				<div class="salto">&nbsp;</div>
			<%}%>
		<%}%>
		
		<c:set scope="request" value="${dtoObject}" var="dtoObject"/>
		
		<div class="label-manteniment1"><spring:message code="manteniments.label.client"/>*</div>
		<c:if test="${dtoObject.estat != null}">
			<input type="text" name="nif_client" size="25" value="<c:out value="${dtoObject.client.nif}"/>" style="float: left" disabled="disabled"/>
			<input type="hidden" name="<portlet:namespace/>nif_client" value="<c:out value="${dtoObject.client.nif}"/>"/>
		</c:if>
		<c:if test="${dtoObject.estat == null}">
			<input type="text" id="<portlet:namespace/>nif_client" name="<portlet:namespace/>nif_client" size="25" value="<c:out value="${dtoObject.client.nif}"/>" style="float: left"/>
		</c:if>

		<%String color_estat = "white";%>
		<c:choose>
			<c:when test="${dtoObject.estat.id == '4'}">
				<%color_estat = "orange";%>
			</c:when>
			<c:when test="${dtoObject.estat.id == '5'}">	
				<%if(((PressupostDTO) request.getAttribute("dtoObject")).getData().before(haceUnMes.getTime())){%>
					<%color_estat = "#ff5555"; //Rosa%>
				<%}else{%>
					<%color_estat = "orange";%>
				<%}%>				
			</c:when>
			<c:when test="${dtoObject.estat.id == '6'}">
				<%color_estat = "yellowGreen";%>
			</c:when>
			<c:when test="${dtoObject.estat.id == '7'}">
				<%color_estat = "#ff5555";%>
			</c:when>
		</c:choose>
		
		<div class="label-manteniment2" style="width: 80px;"><spring:message code="manteniments.label.nPressupost"/></div>
		<input type="text" name="num_pressupost" size="10" value="<c:out value="${dtoObject.numPressupost}"/>" style="float: left; background: <%=color_estat%>;" disabled="disabled"/>
		<input type="hidden" name="<portlet:namespace/>num_pressupost" value="<c:out value="${dtoObject.numPressupost}"/>">
			
		
		<div class="salto">&nbsp;</div>
		
		<div class="label-manteniment1"><spring:message code="manteniments.label.data"/></div>
		<c:choose>
			<c:when test="${dtoObject.data != null}">
				<input type="text" name="<portlet:namespace/>data" size="10" value="<%=Format.date2String(((PressupostDTO) request.getAttribute("dtoObject")).getData())%>" style="float: left" disabled="disabled"/>
			</c:when>
			<c:otherwise>
				<input type="text" name="<portlet:namespace/>data" size="10" value="" style="float: left" disabled="disabled"/>
			</c:otherwise>
		</c:choose>	
		
		
		<div class="label-manteniment2" style="width: 60px;"><spring:message code="manteniments.label.bi"/>*</div>
		<c:choose>
			<c:when test="${dtoObject.baseImponibleS != null && dtoObject.baseImponibleS != ''}">
				<input type="text" name="<portlet:namespace/>base_imponible" size="30" value="<c:out value="${dtoObject.baseImponibleS}"/>" style="float: left"/>
			</c:when>
			<c:otherwise>
				<input type="text" name="<portlet:namespace/>base_imponible" size="30" value="<c:out value="${dtoObject.baseImponible}"/>" style="float: left"/>
			</c:otherwise>
		</c:choose>		
		
		<div class="salto">&nbsp;</div>
				
		<div style="width: 800px; float: left; height: 20px; margin-left: 90px;"><spring:message code="manteniments.label.concepte"/>*</div>
		<p>
			<textarea style="width: 285px; float: left; margin-left: 140px;" cols="130" rows="5" name="<portlet:namespace/>concepte"><c:out value="${dtoObject.concepte}"/></textarea>
		</p>

		<div class="salto">&nbsp;</div>
		<div class="salto" style="text-align: left;"><spring:message code="manteniments.info.dadesObligatories"/></div>
		<div class="salto">&nbsp;</div>
		<c:choose>
			<c:when test="${dtoObject.estat.id != 6 && dtoObject.estat.id != 7}">		
				<div class="boto-submit">
					<input type="submit" value="<spring:message code="manteniments.button.Guardar"/>"/>
				</div>
			</c:when>
			<c:otherwise>
				<div class="boto-submit">
					<input type="submit" value="<spring:message code="manteniments.button.Guardar"/>" style="background: #fff !important; color:#ccc !important;" disabled="disabled"/>
				</div>
			</c:otherwise>		
		</c:choose>
	</form>
	
	<c:if test="${dtoObject.estat != null}">	
		<c:if test="${dtoObject.estat.id == 5}">		
			<form 	method="post" name="aprobar"
					action="<portlet:renderURL>
								<portlet:param name="action" value="pressupostAction"/>
								<portlet:param name="reqCode" value="aprobar"/>
								<portlet:param name="id" value='<%=((PressupostDTO) request.getAttribute("dtoObject")).getNumPressupost()%>'/>
							</portlet:renderURL>">			
				<div class="boto-submit">
					<input type="submit" value="<spring:message code="manteniments.button.aprovaPressupost"/>"/>
				</div>
			</form>						
		</c:if>			
		
		<c:if test="${dtoObject.estat.id == 5 || dtoObject.estat.id == 4}">		
			<form 	method="post" name="declinar"
					action="<portlet:renderURL>
								<portlet:param name="action" value="pressupostAction"/>
								<portlet:param name="reqCode" value="declinar"/>
								<portlet:param name="id" value='<%=((PressupostDTO) request.getAttribute("dtoObject")).getNumPressupost()%>'/>
							</portlet:renderURL>">			
				<div class="boto-submit">
					<input type="submit" value="<spring:message code="manteniments.button.AnulaPressupost"/>"/>
				</div>
			</form>						
		</c:if>			
		
		<c:if test="${dtoObject.estat.id == 7}">		
				<div class="boto-submit">
					<input type="button" onclick="javascript:openPopUp()" value="<spring:message code="manteniments.button.eliminar"/>"/>
				</div>
		</c:if>		
		
		<div class="boto-submit">
			<a href="#" onclick="javascript:openPopUp2()" title="<spring:message code="manteniments.button.enviaPressupost"/>">
				<img width="40px" height="40px" alt="<spring:message code="manteniments.button.enviaPressupost"/>" src="<%=request.getContextPath() + "/" + "images" + "/" + "icono_mail.png"%>"/>
			</a>
		</div>		
		
		<%String linkPdf = 	"/tfc-portlet/pdf?id=" + ((PressupostDTO) request.getAttribute("dtoObject")).getNumPressupost();%>		
		<div class="boto-submit">
			<a href="<%=linkPdf%>" target="_blank" title="<spring:message code="manteniments.button.generarImpres"/>">
				<img width="40px" height="40px" alt="<spring:message code="manteniments.button.generarImpres"/>" src="<%=request.getContextPath() + "/" + "images" + "/" + "icono_pdf.png"%>"/>
			</a>
		</div>
		
	</c:if>
	<div class="salto">&nbsp;</div>
</div>
	



<div style="display: none;">
	<div id="dialogo">
		<p class="dialogo"><spring:message code="popup.avis.contingut"/></p>
			<c:if test="${dtoObject.estat.id == 7}">
				<form 	method="post" name="eliminar"
						action="<portlet:renderURL>
									<portlet:param name="action" value="pressupostAction"/>
									<portlet:param name="reqCode" value="eliminar"/>
									<portlet:param name="id" value='<%=((PressupostDTO) request.getAttribute("dtoObject")).getNumPressupost()%>'/>
								</portlet:renderURL>">			
					<div class="boto-submit">
						<input type="submit" value="<spring:message code="popup.avis.button.accept"/>"/>
					</div>
					<div class="salto">&nbsp;</div>
				</form>
			</c:if>
	</div>
	
	<div id="dialogo2">
		<p class="dialogo"><spring:message code="popup.enviament.mail.contingut"/></p>
			<c:if test="${dtoObject.estat != null}">
				
				<form 	method="post" name="enviar"
						action="<portlet:renderURL>
									<portlet:param name="action" value="pressupostAction"/>
									<portlet:param name="reqCode" value="enviar"/>
									<portlet:param name="id" value='<%=((PressupostDTO) request.getAttribute("dtoObject")).getNumPressupost()%>'/>
								</portlet:renderURL>">
							
					<c:if test="${llistaMails!=null}">
						<%int cont = 0;%>
						<c:forEach items="${llistaMails}" var="binomi">
							<p class="dialogo"><input type="checkbox" name="<portlet:namespace/>mail_<%=cont ++%>" value="<c:out value="${binomi[1]}"/>"> <b><c:out value="${binomi[0]}"/> <i><c:out value="${binomi[1]}"/></i></b></p>							
						</c:forEach>
					</c:if>				
											
					<div class="boto-submit">
						<input type="submit" value="<spring:message code="popup.enviament.mail.button.enviar"/>"/>
					</div>
												
					<div class="salto">&nbsp;</div>
				</form>
				
			</c:if>
	</div>	
</div>
