package com.ferri.persistence.dao.interfaces;

import com.ferri.persistence.bean.impl.AdministradorVO;
import com.ferri.persistence.dao.commons.GenericBaseDAO;

/**
 * Interficie DAO per la entitat Administrador
 * @author dferri
 *
 */
public abstract interface AdministradorDAO extends GenericBaseDAO<AdministradorVO, String> {
	/**
	 * Metode que executa un 'select count(*)' amb el parametre com a criteri i retorna el resultat.
	 * @param nif
	 * @return Integer
	 */
	public Integer countClients(String nif);
}
