package com.ferri.persistence.dao.interfaces;

import com.ferri.persistence.bean.impl.ContracteVO;
import com.ferri.persistence.dao.commons.GenericBaseDAO;

/**
 * Interficie DAO per la entitat Contracte
 * @author dferri
 *
 */
public abstract interface ContracteDAO extends GenericBaseDAO<ContracteVO, String> {
	/**
	 * Compta amb un select count(*) el numero de intervencions que te un contracte determinat. 
	 * @param numContracte
	 * @return Integer
	 */
	public Integer countClients(String numContracte);
}
