package com.ferri.service.dto.converters;

import com.ferri.core.vo.commons.converters.AbstractConverter;
import com.ferri.persistence.bean.impl.ConstantsVO;
import com.ferri.service.dto.ConstantsDTO;

/**
 * Convertidor de DTO a VO i al revs per l'entitat Constants.
 * @author dferri
 *
 */
public class ConstantsConverter extends AbstractConverter<ConstantsDTO, ConstantsVO>
{
	public  ConstantsVO convertDTO2VO( ConstantsDTO dto) 	{

		ConstantsVO vo = new  ConstantsVO();

		vo.setId(dto.getId());
		vo.setValor(dto.getValor());
		vo.setDescCa(dto.getDescCa());
		vo.setDescEs(dto.getDescEs());

		return vo;
	}

	public  ConstantsDTO convertVO2DTO( ConstantsVO vo)
	{
		ConstantsDTO dto = new  ConstantsDTO();

		dto.setId(vo.getId());
		dto.setValor(vo.getValor());
		dto.setDescCa(vo.getDescCa());
		dto.setDescEs(vo.getDescEs());

		return dto;
	}
}
