package com.ferri.service.dto.converters;

import com.ferri.core.vo.commons.converters.AbstractConverter;
import com.ferri.persistence.bean.impl.GestoriaVO;
import com.ferri.service.dto.GestoriaDTO;

/**
 * Convertidor de DTO a VO i al revs per l'entitat Gestoria.
 * @author dferri
 *
 */
public class GestoriaConverter extends AbstractConverter<GestoriaDTO, GestoriaVO>
{
	public  GestoriaVO convertDTO2VO( GestoriaDTO dto) 	{
		 
		GestoriaVO vo = new  GestoriaVO();

		vo.setNif(dto.getNif());
		vo.setNom(dto.getNom());
		vo.setCarrer(dto.getCarrer());
		vo.setNumero(dto.getNumero());
		vo.setResta(dto.getResta());
		vo.setMunicipi(dto.getMunicipi());
		vo.setCp(dto.getCp());
		vo.setNomComptable(dto.getNomComptable());
		vo.setNifComptable(dto.getNifComptable());
		vo.setTelefon(dto.getTelefon());
		vo.setMail(dto.getMail());
		vo.setComissio(dto.getComissio());
		vo.setDataAlta(dto.getDataAlta());
		vo.setDataModif(dto.getDataModif());

		return vo;
	}

	public  GestoriaDTO convertVO2DTO( GestoriaVO vo)
	{
		 GestoriaDTO dto = new  GestoriaDTO();

			dto.setNif(vo.getNif());
			dto.setNom(vo.getNom());
			dto.setCarrer(vo.getCarrer());
			dto.setNumero(vo.getNumero());
			dto.setResta(vo.getResta());
			dto.setMunicipi(vo.getMunicipi());
			dto.setCp(vo.getCp());
			dto.setNomComptable(vo.getNomComptable());
			dto.setNifComptable(vo.getNifComptable());
			dto.setTelefon(vo.getTelefon());
			dto.setMail(vo.getMail());
			dto.setComissio(vo.getComissio());
			dto.setDataAlta(vo.getDataAlta());
			dto.setDataModif(vo.getDataModif());

		return dto;
	}
}
