package com.ferri.service.dto.converters;

import com.ferri.core.vo.commons.converters.AbstractConverter;
import com.ferri.persistence.bean.impl.TipusClientVO;
import com.ferri.service.dto.TipusClientDTO;

/**
 * Convertidor de DTO a VO i al revs per l'entitat TipusClient.
 * @author dferri
 *
 */
public class TipusClientConverter extends AbstractConverter<TipusClientDTO, TipusClientVO>
{
	public  TipusClientVO convertDTO2VO( TipusClientDTO dto) 	{

		TipusClientVO vo = new  TipusClientVO();

		vo.setId(dto.getId());
		vo.setDescCa(dto.getDescCa());
		vo.setDescEs(dto.getDescEs());

		return vo;
	}

	public  TipusClientDTO convertVO2DTO( TipusClientVO vo)
	{
		TipusClientDTO dto = new  TipusClientDTO();

		dto.setId(vo.getId());
		dto.setDescCa(vo.getDescCa());
		dto.setDescEs(vo.getDescEs());

		return dto;
	}
}
