package com.ferri.service.dto.input;

import com.ferri.core.vo.commons.BaseInputSrvDTO;
import com.ferri.service.dto.ClientDTO;
import com.ferri.service.dto.utils.Order;

/**
 * Contenedor InDTO de la entitat Client
 * @author dferri
 *
 */
public class ClientSrvInDTO extends BaseInputSrvDTO
{
	private static final long serialVersionUID = 4571396436505603431L;
	ClientDTO clientDTO = null;

	Order order = null;

	/**
	 * Creador Instancia
	 */
	public ClientSrvInDTO() {
	}

	/**
	 * Creador Instancia
	 * @param clientDTO
	 * @param order
	 */
	public ClientSrvInDTO(ClientDTO clientDTO, Order order) {
		this.clientDTO = clientDTO;
		this.order = order;
	}

	/**
	 * Creador Instancia
	 * @param clientDTO
	 */
	public ClientSrvInDTO(ClientDTO clientDTO)
	{
		this.clientDTO = clientDTO;
	}

	/**
	 * @return the clientDTO
	 */
	public ClientDTO getClientDTO() {
		return clientDTO;
	}

	/**
	 * @param clientDTO the clientDTO to set
	 */
	public void setClientDTO(ClientDTO clientDTO) {
		this.clientDTO = clientDTO;
	}

	/**
	 * @return the order
	 */
	public Order getOrder() {
		return order;
	}

	/**
	 * @param order the order to set
	 */
	public void setOrder(Order order) {
		this.order = order;
	}

}

