package com.ferri.service.dto.input;

import com.ferri.core.vo.commons.BaseInputSrvDTO;
import com.ferri.service.dto.EstatDTO;
import com.ferri.service.dto.utils.Order;

/**
 * Contenedor InDTO de la entitat Estat
 * @author dferri
 *
 */
public class EstatSrvInDTO extends BaseInputSrvDTO
{
	private static final long serialVersionUID = 4571396436505603431L;
	EstatDTO estatDTO = null;

	Order order = null;

	/**
	 * Creador Instancia
	 */
	public EstatSrvInDTO() {
	}

	/**
	 * Creador Instancia
	 * @param estatDTO
	 * @param order
	 */
	public EstatSrvInDTO(EstatDTO estatDTO, Order order) {
		this.estatDTO = estatDTO;
		this.order = order;
	}

	/**
	 * Creador Instancia
	 * @param estatDTO
	 */
	public EstatSrvInDTO(EstatDTO estatDTO)
	{
		this.estatDTO = estatDTO;
	}

	/**
	 * @return the estatDTO
	 */
	public EstatDTO getEstatDTO() {
		return estatDTO;
	}

	/**
	 * @param estatDTO the estatDTO to set
	 */
	public void setEstatDTO(EstatDTO estatDTO) {
		this.estatDTO = estatDTO;
	}

	/**
	 * @return the order
	 */
	public Order getOrder() {
		return order;
	}

	/**
	 * @param order the order to set
	 */
	public void setOrder(Order order) {
		this.order = order;
	}

}

