package com.ferri.service.dto.input;

import com.ferri.core.vo.commons.BaseInputSrvDTO;
import com.ferri.service.dto.FacturaDTO;
import com.ferri.service.dto.utils.Order;

/**
 * Contenedor InDTO de la entitat Factura
 * @author dferri
 *
 */
public class FacturaSrvInDTO extends BaseInputSrvDTO
{
	private static final long serialVersionUID = 4571396436505603431L;
	FacturaDTO facturaDTO = null;

	Order order = null;

	/**
	 * Creador Instancia
	 */
	public FacturaSrvInDTO() {
	}

	/**
	 * Creador Instancia
	 * @param facturaDTO
	 * @param order
	 */
	public FacturaSrvInDTO(FacturaDTO facturaDTO, Order order) {
		this.facturaDTO = facturaDTO;
		this.order = order;
	}

	/**
	 * Creador Instancia
	 * @param facturaDTO
	 */
	public FacturaSrvInDTO(FacturaDTO facturaDTO)
	{
		this.facturaDTO = facturaDTO;
	}

	/**
	 * @return the facturaDTO
	 */
	public FacturaDTO getFacturaDTO() {
		return facturaDTO;
	}

	/**
	 * @param facturaDTO the facturaDTO to set
	 */
	public void setFacturaDTO(FacturaDTO facturaDTO) {
		this.facturaDTO = facturaDTO;
	}

	/**
	 * @return the order
	 */
	public Order getOrder() {
		return order;
	}

	/**
	 * @param order the order to set
	 */
	public void setOrder(Order order) {
		this.order = order;
	}

}

