package com.ferri.service.dto.input;

import com.ferri.core.vo.commons.BaseInputSrvDTO;
import com.ferri.service.dto.GestoriaDTO;
import com.ferri.service.dto.utils.Order;

/**
 * Contenedor InDTO de la entitat Gestoria
 * @author dferri
 *
 */
public class GestoriaSrvInDTO extends BaseInputSrvDTO
{
	private static final long serialVersionUID = 4571396436505603431L;
	GestoriaDTO gestoriaDTO = null;

	Order order = null;

	/**
	 * Creador Instancia
	 */
	public GestoriaSrvInDTO() {
	}

	/**
	 * Creador Instancia
	 * @param gestoriaDTO
	 * @param order
	 */
	public GestoriaSrvInDTO(GestoriaDTO gestoriaDTO, Order order) {
		this.gestoriaDTO = gestoriaDTO;
		this.order = order;
	}

	/**
	 * Creador Instancia
	 * @param gestoriaDTO
	 */
	public GestoriaSrvInDTO(GestoriaDTO gestoriaDTO)
	{
		this.gestoriaDTO = gestoriaDTO;
	}

	/**
	 * @return the gestoriaDTO
	 */
	public GestoriaDTO getGestoriaDTO() {
		return gestoriaDTO;
	}

	/**
	 * @param gestoriaDTO the gestoriaDTO to set
	 */
	public void setGestoriaDTO(GestoriaDTO gestoriaDTO) {
		this.gestoriaDTO = gestoriaDTO;
	}

	/**
	 * @return the order
	 */
	public Order getOrder() {
		return order;
	}

	/**
	 * @param order the order to set
	 */
	public void setOrder(Order order) {
		this.order = order;
	}

}

