package com.ferri.service.dto.input;

import com.ferri.core.vo.commons.BaseInputSrvDTO;
import com.ferri.service.dto.IntervencioDTO;
import com.ferri.service.dto.utils.Order;

/**
 * Contenedor InDTO de la entitat Intervencio
 * @author dferri
 *
 */
public class IntervencioSrvInDTO extends BaseInputSrvDTO
{
	private static final long serialVersionUID = 4571396436505603431L;
	IntervencioDTO intervencioDTO = null;

	Order order = null;

	/**
	 * Creador Instancia
	 */
	public IntervencioSrvInDTO() {
	}

	/**
	 * Creador Instancia
	 * @param intervencioDTO
	 * @param order
	 */
	public IntervencioSrvInDTO(IntervencioDTO intervencioDTO, Order order) {
		this.intervencioDTO = intervencioDTO;
		this.order = order;
	}

	/**
	 * Creador Instancia
	 * @param intervencioDTO
	 */
	public IntervencioSrvInDTO(IntervencioDTO intervencioDTO)
	{
		this.intervencioDTO = intervencioDTO;
	}

	/**
	 * @return the intervencioDTO
	 */
	public IntervencioDTO getIntervencioDTO() {
		return intervencioDTO;
	}

	/**
	 * @param intervencioDTO the intervencioDTO to set
	 */
	public void setIntervencioDTO(IntervencioDTO intervencioDTO) {
		this.intervencioDTO = intervencioDTO;
	}

	/**
	 * @return the order
	 */
	public Order getOrder() {
		return order;
	}

	/**
	 * @param order the order to set
	 */
	public void setOrder(Order order) {
		this.order = order;
	}

}

