package com.ferri.service.dto.input;

import com.ferri.core.vo.commons.BaseInputSrvDTO;
import com.ferri.service.dto.PressupostDTO;
import com.ferri.service.dto.utils.Order;

/**
 * Contenedor InDTO de la entitat Pressupost
 * @author dferri
 *
 */
public class PressupostSrvInDTO extends BaseInputSrvDTO
{
	private static final long serialVersionUID = 4571396436505603431L;
	PressupostDTO pressupostDTO = null;

	Order order = null;

	/**
	 * Creador Instancia
	 */
	public PressupostSrvInDTO() {
	}

	/**
	 * Creador Instancia
	 * @param pressupostDTO
	 * @param order
	 */
	public PressupostSrvInDTO(PressupostDTO pressupostDTO, Order order) {
		this.pressupostDTO = pressupostDTO;
		this.order = order;
	}

	/**
	 * Creador Instancia
	 * @param pressupostDTO
	 */
	public PressupostSrvInDTO(PressupostDTO pressupostDTO)
	{
		this.pressupostDTO = pressupostDTO;
	}

	/**
	 * @return the pressupostDTO
	 */
	public PressupostDTO getPressupostDTO() {
		return pressupostDTO;
	}

	/**
	 * @param pressupostDTO the pressupostDTO to set
	 */
	public void setPressupostDTO(PressupostDTO pressupostDTO) {
		this.pressupostDTO = pressupostDTO;
	}

	/**
	 * @return the order
	 */
	public Order getOrder() {
		return order;
	}

	/**
	 * @param order the order to set
	 */
	public void setOrder(Order order) {
		this.order = order;
	}
}

