package com.ferri.service.dto.input;

import com.ferri.core.vo.commons.BaseInputSrvDTO;
import com.ferri.service.dto.TipusClientDTO;
import com.ferri.service.dto.utils.Order;

/**
 * Contenedor InDTO de la entitat TipusClient
 * @author dferri
 *
 */
public class TipusClientSrvInDTO extends BaseInputSrvDTO
{
	private static final long serialVersionUID = 4571396436505603431L;
	TipusClientDTO tipusClientDTO = null;

	Order order = null;

	/**
	 * Creador Instancia
	 */
	public TipusClientSrvInDTO() {
	}

	/**
	 * Creador Instancia
	 * @param tipusClientDTO
	 * @param order
	 */
	public TipusClientSrvInDTO(TipusClientDTO tipusClientDTO, Order order) {
		this.tipusClientDTO = tipusClientDTO;
		this.order = order;
	}

	/**
	 * Creador Instancia
	 * @param tipusClientDTO
	 */
	public TipusClientSrvInDTO(TipusClientDTO tipusClientDTO)
	{
		this.tipusClientDTO = tipusClientDTO;
	}

	/**
	 * @return the tipusClientDTO
	 */
	public TipusClientDTO getTipusClientDTO() {
		return tipusClientDTO;
	}

	/**
	 * @param tipusClientDTO the tipusClientDTO to set
	 */
	public void setTipusClientDTO(TipusClientDTO tipusClientDTO) {
		this.tipusClientDTO = tipusClientDTO;
	}

	/**
	 * @return the order
	 */
	public Order getOrder() {
		return order;
	}

	/**
	 * @param order the order to set
	 */
	public void setOrder(Order order) {
		this.order = order;
	}

}

