package com.ferri.service.dto.output;

import com.ferri.core.vo.commons.BaseOutputSrvDTO;
import com.ferri.service.dto.AdministradorDTO;

import java.util.Collection;

/**
 * Contenedor OutDTO de la entitat Administrador
 * @author dferri
 *
 */
public class AdministradorSrvOutDTO extends BaseOutputSrvDTO
{
	private static final long serialVersionUID = 649925199950622804L;
	AdministradorDTO administradorDTO = null;

	Collection<AdministradorDTO> administradorDTOList = null;

	/**
	 * Creador Instancia
	 */
	public AdministradorSrvOutDTO()
	{
	}

	/**
	 * Creador Instancia
	 * @param administradorDTO
	 */
	public AdministradorSrvOutDTO(AdministradorDTO administradorDTO) {

		setAdministradorDTO(administradorDTO);
	}

	/**
	 * Creador Instancia
	 * @param administradorDTOList
	 */
	public AdministradorSrvOutDTO(Collection<AdministradorDTO> administradorDTOList) {

		setAdministradorDTOList(administradorDTOList);
	}

	/**
	 * Creador Instancia
	 * @param administradorDTO
	 * @param administradorDTOList
	 */
	public AdministradorSrvOutDTO(AdministradorDTO administradorDTO, Collection<AdministradorDTO> administradorDTOList) {

		setAdministradorDTO(administradorDTO);

		setAdministradorDTOList(administradorDTOList);
	}

	/**
	 * @return the administradorDTO
	 */
	public AdministradorDTO getAdministradorDTO() {
		return administradorDTO;
	}

	/**
	 * @param administradorDTO the administradorDTO to set
	 */
	public void setAdministradorDTO(AdministradorDTO administradorDTO) {
		this.administradorDTO = administradorDTO;
	}

	/**
	 * @return the administradorDTOList
	 */
	public Collection<AdministradorDTO> getAdministradorDTOList() {
		return administradorDTOList;
	}

	/**
	 * @param administradorDTOList the administradorDTOList to set
	 */
	public void setAdministradorDTOList(
			Collection<AdministradorDTO> administradorDTOList) {
		this.administradorDTOList = administradorDTOList;
	}

}