package com.ferri.service.dto.output;

import com.ferri.core.vo.commons.BaseOutputSrvDTO;
import com.ferri.service.dto.ConstantsDTO;

import java.util.Collection;

/**
 * Contenedor OutDTO de la entitat Constants
 * @author dferri
 *
 */
public class ConstantsSrvOutDTO extends BaseOutputSrvDTO
{
	private static final long serialVersionUID = 649925199950622804L;
	ConstantsDTO constantsDTO = null;

	Collection<ConstantsDTO> constantsDTOList = null;

	/**
	 * Creador Instancia
	 */
	public ConstantsSrvOutDTO()
	{
	}

	/**
	 * Creador Instancia
	 * @param constantsDTO
	 */
	public ConstantsSrvOutDTO(ConstantsDTO constantsDTO) {

		setConstantsDTO(constantsDTO);
	}

	/**
	 * Creador Instancia
	 * @param constantsDTOList
	 */
	public ConstantsSrvOutDTO(Collection<ConstantsDTO> constantsDTOList) {

		setConstantsDTOList(constantsDTOList);
	}

	/**
	 * Creador Instancia
	 * @param constantsDTO
	 * @param constantsDTOList
	 */
	public ConstantsSrvOutDTO(ConstantsDTO constantsDTO, Collection<ConstantsDTO> constantsDTOList) {

		setConstantsDTO(constantsDTO);

		setConstantsDTOList(constantsDTOList);
	}

	/**
	 * @return the constantsDTO
	 */
	public ConstantsDTO getConstantsDTO() {
		return constantsDTO;
	}

	/**
	 * @param constantsDTO the constantsDTO to set
	 */
	public void setConstantsDTO(ConstantsDTO constantsDTO) {
		this.constantsDTO = constantsDTO;
	}

	/**
	 * @return the constantsDTOList
	 */
	public Collection<ConstantsDTO> getConstantsDTOList() {
		return constantsDTOList;
	}

	/**
	 * @param constantsDTOList the constantsDTOList to set
	 */
	public void setConstantsDTOList(Collection<ConstantsDTO> constantsDTOList) {
		this.constantsDTOList = constantsDTOList;
	}

}