package com.ferri.service.dto.output;

import com.ferri.core.vo.commons.BaseOutputSrvDTO;
import com.ferri.service.dto.EstatDTO;

import java.util.Collection;

/**
 * Contenedor OutDTO de la entitat Estat
 * @author dferri
 *
 */
public class EstatSrvOutDTO extends BaseOutputSrvDTO
{
	private static final long serialVersionUID = 649925199950622804L;
	EstatDTO estatDTO = null;

	Collection<EstatDTO> estatDTOList = null;

	/**
	 * Creador Instancia
	 */
	public EstatSrvOutDTO()
	{
	}

	/**
	 * Creador Instancia
	 * @param estatDTO
	 */
	public EstatSrvOutDTO(EstatDTO estatDTO) {

		setEstatDTO(estatDTO);
	}

	/**
	 * Creador Instancia
	 * @param estatDTOList
	 */
	public EstatSrvOutDTO(Collection<EstatDTO> estatDTOList) {

		setEstatDTOList(estatDTOList);
	}

	/**
	 * Creador Instancia
	 * @param estatDTO
	 * @param estatDTOList
	 */
	public EstatSrvOutDTO(EstatDTO estatDTO, Collection<EstatDTO> estatDTOList) {

		setEstatDTO(estatDTO);

		setEstatDTOList(estatDTOList);
	}

	/**
	 * @return the estatDTO
	 */
	public EstatDTO getEstatDTO() {
		return estatDTO;
	}

	/**
	 * @param estatDTO the estatDTO to set
	 */
	public void setEstatDTO(EstatDTO estatDTO) {
		this.estatDTO = estatDTO;
	}

	/**
	 * @return the estatDTOList
	 */
	public Collection<EstatDTO> getEstatDTOList() {
		return estatDTOList;
	}

	/**
	 * @param estatDTOList the estatDTOList to set
	 */
	public void setEstatDTOList(Collection<EstatDTO> estatDTOList) {
		this.estatDTOList = estatDTOList;
	}

}