package com.ferri.service.dto.output;

import com.ferri.core.vo.commons.BaseOutputSrvDTO;
import com.ferri.service.dto.FacturaDTO;

import java.util.Collection;

/**
 * Contenedor OutDTO de la entitat Factura
 * @author dferri
 *
 */
public class FacturaSrvOutDTO extends BaseOutputSrvDTO
{
	private static final long serialVersionUID = 649925199950622804L;
	FacturaDTO facturaDTO = null;

	Collection<FacturaDTO> facturaDTOList = null;

	/**
	 * Creador Instancia
	 */
	public FacturaSrvOutDTO()
	{
	}

	/**
	 * Creador Instancia
	 * @param facturaDTO
	 */
	public FacturaSrvOutDTO(FacturaDTO facturaDTO) {

		setFacturaDTO(facturaDTO);
	}

	/**
	 * Creador Instancia
	 * @param facturaDTOList
	 */
	public FacturaSrvOutDTO(Collection<FacturaDTO> facturaDTOList) {

		setFacturaDTOList(facturaDTOList);
	}

	/**
	 * Creador Instancia
	 * @param facturaDTO
	 * @param facturaDTOList
	 */
	public FacturaSrvOutDTO(FacturaDTO facturaDTO, Collection<FacturaDTO> facturaDTOList) {

		setFacturaDTO(facturaDTO);

		setFacturaDTOList(facturaDTOList);
	}

	/**
	 * @return the facturaDTO
	 */
	public FacturaDTO getFacturaDTO() {
		return facturaDTO;
	}

	/**
	 * @param facturaDTO the facturaDTO to set
	 */
	public void setFacturaDTO(FacturaDTO facturaDTO) {
		this.facturaDTO = facturaDTO;
	}

	/**
	 * @return the facturaDTOList
	 */
	public Collection<FacturaDTO> getFacturaDTOList() {
		return facturaDTOList;
	}

	/**
	 * @param facturaDTOList the facturaDTOList to set
	 */
	public void setFacturaDTOList(Collection<FacturaDTO> facturaDTOList) {
		this.facturaDTOList = facturaDTOList;
	}

}