package com.ferri.service.dto.output;

import com.ferri.core.vo.commons.BaseOutputSrvDTO;
import com.ferri.service.dto.TipusClientDTO;

import java.util.Collection;

/**
 * Contenedor OutDTO de la entitat TipusClient
 * @author dferri
 *
 */
public class TipusClientSrvOutDTO extends BaseOutputSrvDTO
{
	private static final long serialVersionUID = 649925199950622804L;
	TipusClientDTO tipusClientDTO = null;

	Collection<TipusClientDTO> tipusClientDTOList = null;

	/**
	 * Creador Instancia
	 */
	public TipusClientSrvOutDTO()
	{
	}

	/**
	 * Creador Instancia
	 * @param tipusClientDTO
	 */
	public TipusClientSrvOutDTO(TipusClientDTO tipusClientDTO) {

		setTipusClientDTO(tipusClientDTO);
	}

	/**
	 * Creador Instancia
	 * @param tipusClientDTOList
	 */
	public TipusClientSrvOutDTO(Collection<TipusClientDTO> tipusClientDTOList) {

		setTipusClientDTOList(tipusClientDTOList);
	}

	/**
	 * Creador Instancia
	 * @param tipusClientDTO
	 * @param tipusClientDTOList
	 */
	public TipusClientSrvOutDTO(TipusClientDTO tipusClientDTO, Collection<TipusClientDTO> tipusClientDTOList) {

		setTipusClientDTO(tipusClientDTO);

		setTipusClientDTOList(tipusClientDTOList);
	}

	/**
	 * @return the tipusClientDTO
	 */
	public TipusClientDTO getTipusClientDTO() {
		return tipusClientDTO;
	}

	/**
	 * @param tipusClientDTO the tipusClientDTO to set
	 */
	public void setTipusClientDTO(TipusClientDTO tipusClientDTO) {
		this.tipusClientDTO = tipusClientDTO;
	}

	/**
	 * @return the tipusClientDTOList
	 */
	public Collection<TipusClientDTO> getTipusClientDTOList() {
		return tipusClientDTOList;
	}

	/**
	 * @param tipusClientDTOList the tipusClientDTOList to set
	 */
	public void setTipusClientDTOList(Collection<TipusClientDTO> tipusClientDTOList) {
		this.tipusClientDTOList = tipusClientDTOList;
	}

}