package com.ferri.service.dto.output;

import com.ferri.core.vo.commons.BaseOutputSrvDTO;
import com.ferri.service.dto.TipusPeriodeDTO;

import java.util.Collection;

/**
 * Contenedor OutDTO de la entitat TipusPeriode
 * @author dferri
 *
 */
public class TipusPeriodeSrvOutDTO extends BaseOutputSrvDTO
{
	private static final long serialVersionUID = 649925199950622804L;
	TipusPeriodeDTO tipusPeriodeDTO = null;

	Collection<TipusPeriodeDTO> tipusPeriodeDTOList = null;

	/**
	 * Creador Instancia
	 */
	public TipusPeriodeSrvOutDTO()
	{
	}

	/**
	 * Creador Instancia
	 * @param tipusPeriodeDTO
	 */
	public TipusPeriodeSrvOutDTO(TipusPeriodeDTO tipusPeriodeDTO) {

		setTipusPeriodeDTO(tipusPeriodeDTO);
	}

	/**
	 * Creador Instancia
	 * @param tipusPeriodeDTOList
	 */
	public TipusPeriodeSrvOutDTO(Collection<TipusPeriodeDTO> tipusPeriodeDTOList) {

		setTipusPeriodeDTOList(tipusPeriodeDTOList);
	}

	/**
	 * Creador Instancia
	 * @param tipusPeriodeDTO
	 * @param tipusPeriodeDTOList
	 */
	public TipusPeriodeSrvOutDTO(TipusPeriodeDTO tipusPeriodeDTO, Collection<TipusPeriodeDTO> tipusPeriodeDTOList) {

		setTipusPeriodeDTO(tipusPeriodeDTO);

		setTipusPeriodeDTOList(tipusPeriodeDTOList);
	}

	/**
	 * @return the tipusPeriodeDTO
	 */
	public TipusPeriodeDTO getTipusPeriodeDTO() {
		return tipusPeriodeDTO;
	}

	/**
	 * @param tipusPeriodeDTO the tipusPeriodeDTO to set
	 */
	public void setTipusPeriodeDTO(TipusPeriodeDTO tipusPeriodeDTO) {
		this.tipusPeriodeDTO = tipusPeriodeDTO;
	}

	/**
	 * @return the tipusPeriodeDTOList
	 */
	public Collection<TipusPeriodeDTO> getTipusPeriodeDTOList() {
		return tipusPeriodeDTOList;
	}

	/**
	 * @param tipusPeriodeDTOList the tipusPeriodeDTOList to set
	 */
	public void setTipusPeriodeDTOList(
			Collection<TipusPeriodeDTO> tipusPeriodeDTOList) {
		this.tipusPeriodeDTOList = tipusPeriodeDTOList;
	}

}