package com.ferri.service.exceptions;

/**
 * Excepci per l'entitat Gestoria
 * @author dferri
 *
 */
public class GestoriaServiceException extends ServiceException
{
	private static final long serialVersionUID = 6416727916671694991L;

	/**
	 * Creador Instancia
	 */
	public GestoriaServiceException()
	{
	}

	/**
	 * Creador Instancia
	 * @param message
	 * @param cause
	 */
	public GestoriaServiceException(String message, Throwable cause)
	{
		super(message, cause);
	}

	/**
	 * Creador Instancia
	 * @param message
	 */
	public GestoriaServiceException(String message)
	{
		super(message);
	}

	/**
	 * Creador Instancia
	 * @param cause
	 */
	public GestoriaServiceException(Throwable cause)
	{
		super(cause);
	}
}
