﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:common="http://exslt.org/common"	xmlns:font="xalan://com.ora.xsltckbk.util.SVGFontMetrics"	xmlns:svg="http://www.w3.org/2000/svg">

	<xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="yes"/>
	<xsl:param name="versionParam" select="'1.0'"/>
	<!-- ========================= -->
	<!-- root element: cabecera -->
	<!-- ========================= --> 
	<xsl:template match="cabecera">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		
			<fo:layout-master-set>
			
				<fo:simple-page-master master-name="todoA4" orphans="3" widows="3" margin-top="1.1cm" margin-bottom="0.2cm" margin-left="0cm" margin-right="0.6cm" page-height="29.7cm" page-width="21cm">
					<fo:region-body margin-left="2.4cm" margin-right="2.2cm" margin-top="2.5cm" margin-bottom="1.5cm"/>
					<fo:region-before  extent="4cm"/>
					<fo:region-after extent="1.5cm"/>	
					<fo:region-start  extent="0cm"/>				
				</fo:simple-page-master>
				
			</fo:layout-master-set>															


			<fo:page-sequence master-reference="todoA4" initial-page-number="0">

				<fo:static-content flow-name="xsl-region-start">					
					<fo:block>
					</fo:block>		
				</fo:static-content>
					
				<fo:static-content flow-name="xsl-region-before">
						
						<fo:block>					
							<fo:block space-after="1mm">
							</fo:block>					
							
							<fo:block>
								<fo:table table-layout="fixed" width="100%" border-collapse="separate">
									<fo:table-column column-width="1.8cm" text-align="left"/>
									<fo:table-column column-width="18cm" text-align="left"/>
									
									<fo:table-body>
										<fo:table-row>
				
											<fo:table-cell>	
												<fo:block>
												</fo:block>
											</fo:table-cell>
				
											<fo:table-cell display-align="after">
												<fo:block>														
														<fo:external-graphic src="url({path/@valor}/img/contracte.jpg)"/>
												</fo:block>
											</fo:table-cell>
											
										</fo:table-row>								
									</fo:table-body>
									
								</fo:table>
							</fo:block>
							
						</fo:block>
					
				</fo:static-content>
				
					
				
				<fo:static-content flow-name="xsl-region-after">
					
					

						
					<fo:block/>
					
				</fo:static-content>
				
				<fo:flow flow-name="xsl-region-body">
						<fo:block></fo:block>

						
		<fo:block>
		
						
			<fo:block space-after="10mm">
			<fo:table table-layout="fixed" width="100%" border-collapse="separate">							
				
				<fo:table-column column-width="9cm" text-align="left"/>
				<fo:table-column column-width="1cm" text-align="left"/>
				<fo:table-column column-width="6cm" text-align="right"/>
																								
				<fo:table-body>
					<fo:table-row>
					
						<fo:table-cell>
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif" font-weight="bold" font-style="italic">
								Nº <xsl:value-of select="contracte/@numero"/>
							</fo:block>
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif">
								<xsl:value-of select="contracte/@data"/>
							</fo:block>	
						</fo:table-cell>

						<fo:table-cell>
							<fo:block>
							</fo:block>
						</fo:table-cell>
															
						<fo:table-cell text-align="right">
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif">
								<fo:inline color="rgb(102,102,152)" font-weight="bold">CERRAJERIASM</fo:inline>
							</fo:block>
							<fo:block font-size="10pt" font-family="Helvetica, sans-serif">
								<fo:inline font-style="italic">CERRAJERIA EN GENERAL</fo:inline>
							</fo:block>
						</fo:table-cell>
												
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
			
			
		<fo:block space-after="5mm">
			<fo:table table-layout="fixed" width="100%" border-collapse="separate">							
				
				<fo:table-column column-width="6cm" text-align="left"/>
				<fo:table-column column-width="10.5cm" text-align="left"/>
																								
				<fo:table-body>
					
					<fo:table-row>
						<fo:table-cell>							
								<fo:block font-size="12pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)" font-weight="bold">
									CLIENT<fo:inline font-style="italic"> / CLIENTE</fo:inline>:
								</fo:block>
						</fo:table-cell>
											
						<fo:table-cell display-align="center">
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif" font-style="italic">									
								<xsl:value-of select="empresa/@rao"/>
							</fo:block>
						</fo:table-cell>
						
					</fo:table-row>	
						
					<fo:table-row>
						<fo:table-cell>							
								<fo:block>
								</fo:block>
						</fo:table-cell>
											
						<fo:table-cell display-align="center">
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif" font-style="italic">									
								<xsl:value-of select="empresa/@cif"/>
							</fo:block>
						</fo:table-cell>
						
					</fo:table-row>					
					
					<fo:table-row>
						<fo:table-cell>							
								<fo:block>
								</fo:block>
						</fo:table-cell>
											
						<fo:table-cell display-align="center">
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif" font-style="italic">									
								<xsl:value-of select="empresa/@poblacio"/> - <xsl:value-of select="empresa/@cp"/>
							</fo:block>
						</fo:table-cell>
						
					</fo:table-row>			
					
					<fo:table-row>
						<fo:table-cell>							
								<fo:block>
								</fo:block>
						</fo:table-cell>
											
						<fo:table-cell display-align="center">
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif" font-style="italic">									
								<xsl:value-of select="empresa/@direccio"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					
				</fo:table-body>
			</fo:table>
		</fo:block>			
			
			
			<fo:block space-after="0mm" font-size="11.5pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)" font-weight="bold">				
				CONTRACTE DE MANTENIMENT DE PORTES BASCULANTS <xsl:value-of select="contracte/@periode1"/>
			</fo:block>
			<fo:block space-after="2mm" font-size="11.5pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)" font-weight="bold" font-style="italic">
				CONTRATO DE MANTENIMIENTO DE PUERTAS BASCULANTES <xsl:value-of select="contracte/@periode1"/>
			</fo:block>
			
				<fo:block font-size="8pt" space-after="10mm" color="rgb(66,66,66)">					
					<fo:table table-layout="fixed" width="100%" border-collapse="separate">
						<fo:table-column column-width="7.8cm" />
						<fo:table-column column-width="0.4cm" />
						<fo:table-column column-width="7.8cm" />
						<fo:table-body>							
								<fo:table-row>		
									<fo:table-cell>
										<fo:block space-after="2mm">
												Segons el pressupost presentat a la comunitat <fo:inline font-weight="bold"><xsl:value-of select="empresa/@rao"/></fo:inline>, acordem realitzar el manteniment <xsl:value-of select="contracte/@periode2"/> de les portes  basculants (en cas d'haver més d'una) d' accés al garatge de l'anomenada comunitat, incloent en aquest:
										</fo:block>																													
										<fo:block start-indent="0.3cm">
												-	*Desmuntar telescopis netejar i engrassar.
										</fo:block>
										<fo:block start-indent="0.3cm">												
											-	*Comprovar sistemes de seguretat: fotocèl·lules, cables d'acer paracaigudes, final de carrera i quadre de maniobres.
										</fo:block>
										<fo:block start-indent="0.3cm">																							
											-	*Comprovar nivell de l'hidràulic i reomplir si calgués (sempre que no sigui per averia).
										</fo:block>
										<fo:block start-indent="0.3cm">																							
											-	*Netejament de guies i rodaments amb el posterior engrassament.
										</fo:block>												
										<fo:block start-indent="0.3cm">
											-	*Desplaçament gratuït (En cas de reparació només es cobrarà la mà d'obra, mentre  estigui en vigor aquest contracte).
										</fo:block>
										<fo:block start-indent="0.3cm" font-weight="bold">											
											-	(El manteniment no cobreix cap reparació ni substitució de peces defectuoses i si fos així es facturaria separadament).
										</fo:block>
										<fo:block start-indent="0.3cm" font-weight="bold">												
											-	*Aquest  contracte tindrà valor durant un any prorrogable automàticament si cap part no sol·licita la restricció de l'anomena't  contracte amb previ avís d'un mes com a mínim, per no deixar sense el servei ni afegir costos innecessaris.
										</fo:block>										
									</fo:table-cell>
									
									
									<fo:table-cell><fo:block/></fo:table-cell>
									
									<fo:table-cell>										
										<fo:block font-style="italic" color="rgb(111,111,111)">
											<fo:block>
													Según el presupuesto presentado a la comunidad <fo:inline font-weight="bold"><xsl:value-of select="empresa/@rao"/></fo:inline>, acordamos realizar el mantenimiento <xsl:value-of select="contracte/@periode2"/> de las puertas  basculantes (en caso de haber más de una) de acceso al parking de dicha comunidad incluyendo en este:
											</fo:block>																																																											
											<fo:block start-indent="0.3cm">
													-	*Desmontar telescopios limpiar y engrasar.
											</fo:block>
											<fo:block start-indent="0.3cm">												
												-	*Comprobar sistemas de seguridad: fotocélulas, cables de acero paracaídas, finales de carrera y cuadro de maniobras.
											</fo:block>
											<fo:block start-indent="0.3cm">												
												-	*Comprobar nivel de hidráulico y rellenar si fuera necesario (siempre que no sea por avería).
											</fo:block>
											<fo:block start-indent="0.3cm">												
												-	*Limpieza de guías y rodamientos más posterior engrase.
											</fo:block>												
											<fo:block start-indent="0.3cm">												
												-	*Desplazamiento gratuito (En caso de reparación solo se cobrará la mano de obra, mientras dure dicho contrato).
											</fo:block>
											<fo:block start-indent="0.3cm" font-weight="bold">
												-	(El mantenimiento no cubre ninguna reparación ni substitución de piezas defectuosas y si así fuera se facturaría aparte).
											</fo:block>
											<fo:block start-indent="0.3cm" font-weight="bold">												
												-	*Este contrato tendrá validez durante un año prorrogable automáticamente si ninguna de ambas partes solicita la restricción de dicho contrato con previo aviso de un mes como mínimo, para no dejar sin el servicio ni acarrear costes innecesarios.
											</fo:block>
										</fo:block>
									</fo:table-cell>
									
								</fo:table-row>												
						</fo:table-body>
					</fo:table>
				</fo:block>
			</fo:block>

			<fo:block space-after="5mm">
				<fo:block font-size="9pt" font-family="Helvetica, sans-serif" font-weight="bold">
					IMPORT TOTAL DEL PRIMER ANY<fo:inline font-style="italic"> / IMPORTE TOTAL DEL PRIMER AÑO</fo:inline>: <xsl:value-of select="contracte/@import"/>€ + IVA
				</fo:block>
			</fo:block>
			
	<fo:block space-after="10mm">
		<fo:table table-layout="fixed" width="100%" border-collapse="separate">
			<fo:table-column column-width="6cm" />
			<fo:table-column column-width="4cm" text-align="center"/>
			<fo:table-column column-width="6cm" text-align="center"/>				
			<fo:table-body>
				
				<fo:table-row>		
					<fo:table-cell>
						<fo:block space-after="1mm" font-size="12pt" font-weight="bold" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">
							<fo:block>
								DADES DE CONTACTE
							</fo:block>
							<fo:block font-style="italic">
								DATOS DE CONTACTO
							</fo:block>
						</fo:block>
						
						<fo:block>
							<fo:block space-after="2mm">
								<fo:block font-size="11pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">									
									N.I.F 45471989-T
								</fo:block>
								<fo:block font-size="11pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">									
									CALLE IGLESIA Nº 10-24 B6
								</fo:block>
								<fo:block font-size="11pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">									
									08228 LES FONTS (BCN)
								</fo:block>								
								<fo:block font-size="11pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">									
									TELF-FAX: 93 786 25 24	
								</fo:block>
								<fo:block font-size="11pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">									
									MOVIL: 667 795 210
								</fo:block>				
								<fo:block font-size="11pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">									
									SERGIO MELLADO MARIN
								</fo:block>	
							</fo:block>
						</fo:block>								
						
					</fo:table-cell>
					
					<fo:table-cell text-align="center">
						<fo:block font-size="11pt" font-family="Helvetica, sans-serif" space-after="30mm">
							CERRAJERIASM
						</fo:block>						
						<fo:block font-size="8pt" font-family="Helvetica, sans-serif" color="rgb(200, 200, 200)">
							Segell i Signatura 
						</fo:block>
						<fo:block font-size="8pt" font-family="Helvetica, sans-serif" font-style="italic" color="rgb(200, 200, 200)">
							Sello y Firma
						</fo:block>
					</fo:table-cell>
					
					<fo:table-cell text-align="center">
						<fo:block font-size="11pt" font-family="Helvetica, sans-serif" space-after="30mm">
							NOMBREEMPRESA
						</fo:block>						
						<fo:block font-size="8pt" font-family="Helvetica, sans-serif" color="rgb(200, 200, 200)">
							Segell i Signatura 
						</fo:block>
						<fo:block font-size="8pt" font-family="Helvetica, sans-serif" font-style="italic" color="rgb(200, 200, 200)">
							Sello y Firma
						</fo:block>
					</fo:table-cell>
					
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</fo:block>
			 
	<fo:block font-size="9pt" font-family="Helvetica, sans-serif" font-weight="bold">
		<fo:block>
			AQUEST CONTRACTE NO TINDRÀ CAP VALOR SI NO ESTÀ SIGNAT PER ELS INTERESSATS.			
		</fo:block>
		<fo:block font-style="italic">
			ESTE CONTRATO NO TENDRÁ NINGUNA VALIDEZ SI NO ESTÁ FIRMADO POR LOS INTERESADOS.
		</fo:block>
	</fo:block>			 
			

		</fo:flow>
	</fo:page-sequence>
					
	</fo:root>	
		
	</xsl:template>
	<!-- ========================= -->
	<!-- child element: member     -->
	<!-- ========================= -->

</xsl:stylesheet>