<%@page import="com.ferri.service.dto.AdministradorDTO"%>
<%@page import="java.util.Iterator"%>
<%@page import="com.ferri.portlet.utils.Missatge"%>
<%@page import="com.ferri.portlet.utils.Format"%>
<%@ include file="../init.jsp"%>

<script type="text/javascript">
	function openPopUp(){
		jQuery(document).ready(function(){
			jQuery("#dialogo").dialog({
			      modal: true,
			      title: '<spring:message code="popup.avis.titol"/>',
			      width: 350,
			      height: 120,
			      show: "fold",
			      hide: "scale"
			   });
			});
	}
</script>
	
<%
ArrayList<Missatge> missatges = (ArrayList<Missatge>) request.getAttribute("missatges");
%>

<div style="height: 300px;">
	<br />

	<form method="post" name="afegir"
		action="<portlet:renderURL>
						<portlet:param name="action" value="administradorAction"/>
						<portlet:param name="reqCode" value="guardar"/>
					</portlet:renderURL>">

		<%if(missatges != null){%>
			<%for(Iterator<Missatge> iter = missatges.iterator(); iter.hasNext();){
				Missatge msg = iter.next();
			%>
				<%if(msg.getType().equals(Missatge.TYPE_SUCCES)){%>
					<div class="msg msg-info"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_INFO)){%>
					<div class="msg msg-warning"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_ERROR)){%>
					<div class="msg msg-error"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}%>
				<div class="salto">&nbsp;</div>
			<%}%>
		<%}%>
		
		<c:set scope="request" value="${dtoObject}" var="dtoObject"/>
		
		<div class="label-manteniment1"><spring:message code="manteniments.label.nom"/>*</div>
		<input type="text" name="<portlet:namespace/>nom" size="30" value="<c:out value="${dtoObject.nom}"/>"
			style="float: left"/>

		<div class="label-manteniment2" style="width: 60px;"><spring:message code="manteniments.label.nifCif"/>*</div>
		
		<c:choose>					
			<c:when test="${validationNif.nif == null && dtoObject.nif != null}">
				<input type="text" name="nif_disabled" size="10" value="<c:out value="${dtoObject.nif}"/>" style="float: left" disabled="disabled"/>
				<input type="hidden" name="<portlet:namespace/>nif" value="<c:out value="${dtoObject.nif}"/>"/>
			</c:when>
			<c:otherwise>
				<input type="text" name="<portlet:namespace/>nif" size="10" value="<c:out value="${dtoObject.validationNif}"/>" style="float: left" />
			</c:otherwise>
		</c:choose>	

		<div class="salto">&nbsp;</div>
		<div
			class="label-manteniment1"><spring:message code="manteniments.label.telefon"/>*</div>
		<input type="text" name="<portlet:namespace/>telefon" size="10" value="<c:out value="${dtoObject.telefon}"/>"
			style="float: left" />

		<div class="label-manteniment2" style="width: 60px;"><spring:message code="manteniments.label.mail"/>*</div>
		<input type="text" name="<portlet:namespace/>mail" size="30" value="<c:out value="${dtoObject.mail}"/>"
			style="float: left" />
		<div class="salto">&nbsp;</div>
		
		<div class="label-manteniment1"><spring:message code="manteniments.label.gestoria"/>*</div>

		
		<c:set scope="request" value="${llistaGestoriesDto}" var="llistaGestoriesDto"/>		
		<c:if test="${llistaGestoriesDto!=null}">
			<select name="<portlet:namespace/>nif_gestoria" style="float: left; width: 150px;">
				<c:forEach items="${llistaGestoriesDto}" var="gestoria">
					<c:choose>					
						<c:when test="${dtoObject.gestoria != null && dtoObject.gestoria.nif == gestoria.nif}">
							<option value="<c:out value="${gestoria.nif}"/>" selected="selected"><c:out value="${gestoria.nom}"/></option>
						</c:when>
						<c:otherwise>
							<option value="<c:out value="${gestoria.nif}"/>"><c:out value="${gestoria.nom}"/></option>
						</c:otherwise>
					</c:choose>
				</c:forEach>				
			</select>
		</c:if>
		
		<div class="salto">&nbsp;</div>
		<div class="salto" style="text-align: left;"><spring:message code="manteniments.info.dadesObligatories"/></div>
		<div class="salto">&nbsp;</div>
		
		<div class="boto-submit">
			<input type="submit" value="<spring:message code="manteniments.button.Guardar"/>"/>
		</div>
	</form>
	
	<c:set scope="request" value="${persistObject}" var="persistObject"/>		
	<c:if test="${dtoObject.nif != null && persistObject != false}">	
		<div class="boto-submit">
			<input type="button" onclick="javascript:openPopUp()" value="<spring:message code="manteniments.button.eliminar"/>"/>
		</div>
		<div class="salto">&nbsp;</div>			
	</c:if>
	
</div>
	

<div style="display: none;">
	<div id="dialogo">
		<p class="dialogo"><spring:message code="popup.avis.contingut"/></p>
			<c:if test="${dtoObject.nif != null && persistObject != false}">
				<form 	method="post" name="eliminar"
					action="<portlet:renderURL>
								<portlet:param name="action" value="administradorAction"/>
								<portlet:param name="reqCode" value="eliminar"/>
								<portlet:param name="id" value='<%=((AdministradorDTO) request.getAttribute("dtoObject")).getNif()%>'/>
							</portlet:renderURL>">			
					<div class="boto-submit">
						<input type="submit" value="<spring:message code="popup.avis.button.accept"/>"/>
					</div>
					<div class="salto">&nbsp;</div>
				</form>
			</c:if>
	</div>
</div>

