<%@page import="com.ferri.portlet.utils.Missatge"%>
<%@page import="java.util.Iterator"%>
<%@page import="com.ferri.portlet.utils.Format"%>
<%@page import="com.ferri.service.dto.ClientDTO"%>
<%@ include file="../init.jsp"%>

<%
ArrayList<Missatge> missatges = (ArrayList<Missatge>) request.getAttribute("missatges");
%>

<c:set var="renderUrl">
	<portlet:renderURL>
		<portlet:param name="action" value="clientAction"/>
		<portlet:param name="reqCode" value="buscar"/>
	</portlet:renderURL>
</c:set>

<div>
	<form method="post" name="afegir" action="<c:out value="${renderUrl}"/>">
	
		<c:set scope="request" value="${dtoObject}" var="dtoObject"/>
		
		<input type="hidden" name="<portlet:namespace/>nif_gestoria" value="<c:out value="${dtoObject.gestoria.nif}"/>" />
		<input type="hidden" name="<portlet:namespace/>nif_administrador" value="<c:out value="${dtoObject.administrador.nif}"/>" />
	
		<div class="salto">&nbsp;</div>
		<div class="label-cerca">
			<spring:message code="llista.search.nifCif" />
		</div>
		
		<p>
			<input type="text" size="30" class="text-cerca" name="<portlet:namespace/>nif" value="<c:out value="${dtoObject.nif}"/>"/>
		</p>
		<div class="label-cerca">
			<spring:message code="llista.search.nomRao" />
		</div>
		
		<p>
			<input type="text" size="30" class="text-cerca" name="<portlet:namespace/>nom" value="<c:out value="${dtoObject.nom}"/>"/>
			
		</p>
		<div class="label-cerca">
			<spring:message code="llista.search.ordre" />
		</div>

		<p>
			<select class="select-cerca" name="<portlet:namespace/>ordre">
				<c:choose>					
					<c:when test="${dtoObject.ordre=='dataAlta'}">
						<option value="nom">				
							<spring:message code="llista.search.option.nom" />
						</option>
						<option value="dataAlta" selected="selected">
							<spring:message code="llista.search.option.dataAlta" />
						</option>
					</c:when>
					<c:otherwise>
						<option value="nom" selected="selected">				
							<spring:message code="llista.search.option.nom" />
						</option>
						<option value="dataAlta">
							<spring:message code="llista.search.option.dataAlta" />
						</option>
					</c:otherwise>
				</c:choose>
			</select>
		</p>

		<div class="salto">&nbsp;</div>
		
		<div class="boto-submit-cerca">
			<input type="submit" value="<spring:message code="llista.button.buscar"/>"/>			
		</div>
		
		<div class="salto">&nbsp;</div>
		
		<%if(missatges != null){%>
			<%for(Iterator<Missatge> iter = missatges.iterator(); iter.hasNext();){
				Missatge msg = iter.next();
			%>
				<%if(msg.getType().equals(Missatge.TYPE_SUCCES)){%>
					<div class="msg msg-info"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_INFO)){%>
					<div class="msg msg-warning"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_ERROR)){%>
					<div class="msg msg-error"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}%>
				<div class="salto">&nbsp;</div>
			<%}%>
		<%}%>
</form>
</div>

<br/>
<br/>

<table width="95%" border="0" align="center" cellpadding="1" cellspacing="1" class="table-resultats">
    <tbody>
        <tr>
            <td>&nbsp;&nbsp;<span class="table-header"><spring:message code="llista.header.nif"/></span></td>
            <td><span class="table-header"><spring:message code="llista.header.rao"/></span></td>
            <td><span class="table-header"><spring:message code="llista.header.dataAlta"/></span></td>
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.estatFactures"/></span></td>
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.intervencions"/></span></td>
            <td><span class="table-header"><br/>
            </span></td>
        </tr>
        
		<c:set scope="request" value="${dtoList}" var="llista"/>
		<c:if test="${llista!=null}">
			<c:forEach items="${llista}" var="dtoLlista">        	
		      	<tr>
		            <td>
		            	<span class="table-content">&nbsp;&nbsp;		            		            	
			            	
			            	<a href="<portlet:renderURL>
										<portlet:param name="action" value="clientAction"/>
										<portlet:param name="reqCode" value="editar"/>
										<portlet:param name="nif" value='<%=((ClientDTO) pageContext.getAttribute("dtoLlista")).getNif()%>'/>
									</portlet:renderURL>"><c:out value="${dtoLlista.nif}"/></a>
						</span>
					</td>
		            
		            <td><span class="table-content"><c:out value="${dtoLlista.nom}"/></span></td>
		            <td><span class="table-content"><%=Format.date2String(((ClientDTO) pageContext.getAttribute("dtoLlista")).getDataAlta())%></span></td>
		            
		            
		            <%String link1_=	"/web/guest/factures"+
        							"?p_p_id=factura_WAR_tfcportlet_INSTANCE_u1Ga"+ 
        							"&_factura_WAR_tfcportlet_INSTANCE_u1Ga_action=facturaAction"+
        							"&_factura_WAR_tfcportlet_INSTANCE_u1Ga_reqCode=buscar"+
        							"&_factura_WAR_tfcportlet_INSTANCE_u1Ga_nif_client="+
        							((ClientDTO) pageContext.getAttribute("dtoLlista")).getNif();
		            
		            String link2_= 	"/web/guest/intervencions"+
		            				"?p_p_id=intervencio_WAR_tfcportlet_INSTANCE_WPu7"+
		            				"&_intervencio_WAR_tfcportlet_INSTANCE_WPu7_action=intervencioAction"+
		            				"&_intervencio_WAR_tfcportlet_INSTANCE_WPu7_reqCode=buscar"+
		            				"&_intervencio_WAR_tfcportlet_INSTANCE_WPu7_nif_client="+
		            				((ClientDTO) pageContext.getAttribute("dtoLlista")).getNif();%>
		            
		            
		            <td style="text-align: center; ">
		            	<span class="table-content">
		            		<c:choose>
		            			<c:when test="${dtoLlista.colorSemaforFactura == 1}">
		            				<a href="<%=link1_%>">
		            					<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/" + "images" + "/" + "semaforo-rojo.png"%>"/>
		            				</a>
		            			</c:when>
		            			<c:when test="${dtoLlista.colorSemaforFactura == 2}">
		            				<a href="<%=link1_%>">
		            					<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/" + "images" + "/" + "semaforo-ambar.png"%>"/>
		            				</a>
		            			</c:when>
		            			<c:when test="${dtoLlista.colorSemaforFactura == 3}">
		            				<a href="<%=link1_%>">
		            					<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/" + "images" + "/" + "semaforo-verde.png"%>"/>
		            				</a>
		            			</c:when>
		            			<c:otherwise>
		            				<a href="#"></a>
		            			</c:otherwise>
		            		</c:choose>
			            </span>
					</td>
		            
		            <td style="text-align: center; ">
		            	<span class="table-content">
		            		<c:choose>
		            			<c:when test="${dtoLlista.colorSemaforIntervencio == 1}">
		            				<a href="<%=link2_%>">
		            					<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/" + "images" + "/" + "semaforo-rojo.png"%>"/>
		            				</a>
		            			</c:when>
		            			<c:when test="${dtoLlista.colorSemaforIntervencio == 2}">
		            				<a href="<%=link2_%>">
		            					<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/" + "images" + "/" + "semaforo-ambar.png"%>"/>
		            				</a>
		            			</c:when>
		            			<c:when test="${dtoLlista.colorSemaforIntervencio == 3}">
		            				<a href="<%=link2_%>">
		            					<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/" + "images" + "/" + "semaforo-verde.png"%>"/>
		            				</a>
		            			</c:when>
		            			<c:otherwise>
		            				<a href="#"></a>
		            			</c:otherwise>
		            		</c:choose>		
		            	</span>
		            </td>
		            
		            
		            <td><span class="table-content"><br/>
		            </span></td>
		        </tr>        	    
        	</c:forEach>        	
        </c:if>
    </tbody>
</table>
<br/>

<div style="padding-right:30px; padding-bottom: 10px; text-align: right; background-color: #777FD7;">
	
	<form 	method="post" 
			name="afegir" 
			action="<portlet:renderURL>
						<portlet:param name="action" value="clientAction"/>
						<portlet:param name="reqCode" value="afegir"/>
					</portlet:renderURL>">
		<input type="submit" value="<spring:message code="llista.button.altaNova"/>"/>
	</form>
</div>





