<%@page import="java.util.Calendar"%>
<%@page import="com.ferri.portlet.utils.Missatge"%>
<%@page import="java.util.Iterator"%>
<%@page import="com.ferri.portlet.utils.Format"%>
<%@page import="com.ferri.service.dto.FacturaDTO"%>
<%@ include file="../init.jsp"%>



<%
ArrayList<Missatge> missatges = (ArrayList<Missatge>) request.getAttribute("missatges");
Calendar haceUnMes = Calendar.getInstance();
haceUnMes.add(Calendar.MONTH, -1);
%>

<c:set var="renderUrl">
	<portlet:renderURL>
		<portlet:param name="action" value="facturaAction"/>
		<portlet:param name="reqCode" value="buscar"/>
	</portlet:renderURL>
</c:set>

<div>
	<form method="post" name="buscar" action="<c:out value="${renderUrl}"/>">
	
		<c:set scope="request" value="${dtoObject}" var="dtoObject"/>

		<div class="salto">&nbsp;</div>
		
		
		<div class="label-cerca">
			<spring:message code="llista.search.nFactura" />
		</div>
		
		<p>
			<input type="text" size="30" class="text-cerca" name="<portlet:namespace/>num_factura" value="<c:out value="${dtoObject.numFactura}"/>"/>
		</p>
		<div class="label-cerca">
			<spring:message code="llista.search.nifCifClient" />
		</div>
		
		<p>
			<input type="text" size="30" class="text-cerca" name="<portlet:namespace/>nif_client" value="<c:out value="${dtoObject.client.nif}"/>"/>			
		</p>
		<div class="label-cerca">
			<spring:message code="llista.search.concepte" />
		</div>		
		<p>
			<input type="text" size="30" class="text-cerca" name="<portlet:namespace/>concepte" value="<c:out value="${dtoObject.concepte}"/>"/>			
		</p>
		
		<div class="label-cerca">
			<spring:message code="llista.search.estat" />
		</div>		
		<p>
			<c:set scope="request" value="${llistaEstatDto}" var="llistaEstatDto"/>
			<c:if test="${llistaEstatDto!=null}">
				<select class="select-cerca" name="<portlet:namespace/>estat">
					<option value=""></option>
					<c:forEach items="${llistaEstatDto}" var="estatDto">
						<c:choose>
							<c:when test="${dtoObject.estat.id == estatDto.id}">
								<c:choose>
									<c:when test="${idioma == 'es'}">
										<option value="<c:out value="${estatDto.id}"/>" selected="selected">				
											<c:out value="${estatDto.descEs}"/>	
										</option>										
									</c:when>
									<c:otherwise>
										<option value="<c:out value="${estatDto.id}"/>" selected="selected">					
											<c:out value="${estatDto.descCa}"/>	
										</option>								
									</c:otherwise>
								</c:choose>
							</c:when>
							<c:otherwise>
								<c:choose>
									<c:when test="${idioma == 'es'}">
										<option value="<c:out value="${estatDto.id}"/>">				
											<c:out value="${estatDto.descEs}"/>	
										</option>										
									</c:when>
									<c:otherwise>
										<option value="<c:out value="${estatDto.id}"/>">					
											<c:out value="${estatDto.descCa}"/>	
										</option>								
									</c:otherwise>
								</c:choose>								
							</c:otherwise>		
						</c:choose>				
					</c:forEach>
				</select>
			</c:if>
		</p>
		
		<div class="label-cerca">
			<spring:message code="llista.search.dataDeA" />
		</div>
		<p><input type="text" size="11" style="float: left" name="<portlet:namespace/>dataDesde" value="<c:out value="${dtoObject.dataIniS}"/>"/>&nbsp;<input type="text" size="12" style="float: left" name="<portlet:namespace/>dataFins" value="<c:out value="${dtoObject.dataFinS}"/>"/></p>
		
		<div class="label-cerca">
			<spring:message code="llista.search.importDeA" />
		</div>				
		<p><input type="text" size="11" style="float: left" name="<portlet:namespace/>importDesde" value="<c:out value="${dtoObject.baseIniS}"/>"/>&nbsp;<input type="text" size="12" style="float: left" name="<portlet:namespace/>importFins" value="<c:out value="${dtoObject.baseFinS}"/>"/></p>


		<div class="label-cerca">
			<spring:message code="llista.search.ordre" />
		</div>
		
		
		<p>
			<select class="select-cerca" name="<portlet:namespace/>ordre">
				<option value="entitat.data, entitat.baseImponible" <c:if test="${dtoObject.ordre=='entitat.data, entitat.baseImponible'}">selected="selected"</c:if>>
					<spring:message code="llista.search.option.DataAndBI" />
				</option>				
				<option value="entitat.baseImponible, entitat.data" <c:if test="${dtoObject.ordre=='entitat.baseImponible, entitat.data'}">selected="selected"</c:if>>				
					<spring:message code="llista.search.option.BIAndData" />
				</option>
				<option value="entitat.client.nom, entitat.data" <c:if test="${dtoObject.ordre=='entitat.client.nom, entitat.data'}">selected="selected"</c:if>>
					<spring:message code="llista.search.option.NomAndData" />
				</option>
				<option value="entitat.client.nom, entitat.baseImponible" <c:if test="${dtoObject.ordre=='entitat.client.nom, entitat.baseImponible'}">selected="selected"</c:if>>				
					<spring:message code="llista.search.option.NomAndBI" />
				</option>
			</select>
		</p>

		<div class="salto">&nbsp;</div>
		
		<div class="boto-submit-cerca">
			<input type="submit" value="<spring:message code="llista.button.buscar"/>"/>			
		</div>
		
		<div class="salto">&nbsp;</div>
		
		<%if(missatges != null){%>
			<%for(Iterator<Missatge> iter = missatges.iterator(); iter.hasNext();){
				Missatge msg = iter.next();
			%>
				<%if(msg.getType().equals(Missatge.TYPE_SUCCES)){%>
					<div class="msg msg-info"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_INFO)){%>
					<div class="msg msg-warning"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}else if(msg.getType().equals(Missatge.TYPE_ERROR)){%>
					<div class="msg msg-error"><spring:message code="<%=msg.getKey()%>" arguments="<%=msg.getArgs()%>"/></div>
				<%}%>
				<div class="salto">&nbsp;</div>
			<%}%>
		<%}%>
</form>
</div>

<br/>
<br/>

<table width="95%" border="0" align="center" cellpadding="1" cellspacing="1" class="table-resultats">
    <tbody>
        <tr>
            <td>&nbsp;&nbsp;<span class="table-header"><spring:message code="llista.header.numero"/></span></td>
            <td style="text-align: right;"><span class="table-header"><spring:message code="llista.header.import"/></span></td>
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.dataAltaValidacio"/></span></td>
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.client"/></span></td>
            <td style="text-align: center;"><span class="table-header"><spring:message code="llista.header.estat"/></span></td>
            <td><span class="table-header"><br/>
            </span></td>
        </tr>
        
		<c:set scope="request" value="${dtoList}" var="llista"/>
		<c:if test="${llista!=null}">
			<c:forEach items="${llista}" var="dtoLlista">        	
		      	<tr>
		            <td>
		            	<span class="table-content">&nbsp;&nbsp;		            		            	
			            	
			            	<a href="<portlet:renderURL>
										<portlet:param name="action" value="facturaAction"/>
										<portlet:param name="reqCode" value="editar"/>
										<portlet:param name="num_factura" value='<%=((FacturaDTO) pageContext.getAttribute("dtoLlista")).getNumFactura()%>'/>
									</portlet:renderURL>"><c:out value="${dtoLlista.numFactura}"/></a>
						</span>
					</td>
		            
		            <td style="text-align: right;"><span class="table-content"><c:out value="${dtoLlista.baseImponible}"/> &euro;</span></td>
		            <td style="text-align: center;"><span class="table-content"><%=Format.date2String(((FacturaDTO) pageContext.getAttribute("dtoLlista")).getData())%> - <%=Format.date2String(((FacturaDTO) pageContext.getAttribute("dtoLlista")).getDataCobrament())%></span></td>
		            
		            <% 	String link_ =	"/web/guest/clients"+
		            					"?p_p_id=client_WAR_tfcportlet_INSTANCE_2Nvm"+
		            					"&_client_WAR_tfcportlet_INSTANCE_2Nvm_action=clientAction"+
		            					"&_client_WAR_tfcportlet_INSTANCE_2Nvm_reqCode=buscar"+
		            					"&_client_WAR_tfcportlet_INSTANCE_2Nvm_nif="+
		            					((FacturaDTO) pageContext.getAttribute("dtoLlista")).getClient().getNif();%>
		            <td style="text-align: center; "><span class="table-content"><a href="<%=link_ %>"><c:out value="${dtoLlista.client.nif}"/></a></span></td>

		            <td style="text-align: center;">
		            	<span class="table-content">
		       				<c:choose>
								<c:when test="${dtoLlista.estat.id == '1'}">
									<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/images/semaforo-ambar.png"%>"/>
								</c:when>
								<c:when test="${dtoLlista.estat.id == '2'}">								
									<%if(((FacturaDTO) pageContext.getAttribute("dtoLlista")).getData().before(haceUnMes.getTime())){%>
										<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/images/semaforo-rojo.png"%>"/>
									<%}else{%>
										<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/images/semaforo-ambar.png"%>"/>
									<%}%>								
								</c:when>
								<c:when test="${dtoLlista.estat.id == '3'}">
									<img width="15" height="15" alt="" src="<%=request.getContextPath() + "/images/semaforo-verde.png"%>"/>
								</c:when>
							</c:choose>     		
						</span>
					</td>
		            
		            
		            
		            <td><span class="table-content"><br/>
		            </span></td>
		        </tr>        	    
        	</c:forEach>        	
        </c:if>
    </tbody>
</table>
<br/>
<c:if test="${llista!=null}">
	<div class="boto-submit">
		<a href="/tfc-portlet/excel" target="_blank" title="<spring:message code="llista.button.generarExcel"/>">
			<img width="40px" height="40px" alt="<spring:message code="llista.button.generarExcel"/>" src="<%=request.getContextPath() + "/" + "images" + "/" + "icono_excel.png"%>"/>
		</a>
	</div>
</c:if>

<div style="padding-right:30px; padding-bottom: 30px; text-align: right; background-color: #777FD7;">
	
	<form 	method="post" 
			name="afegir" 
			action="<portlet:renderURL>
						<portlet:param name="action" value="facturaAction"/>
						<portlet:param name="reqCode" value="afegir"/>
					</portlet:renderURL>">
		<input type="submit" value="<spring:message code="llista.button.altaNova"/>"/>
	</form>
</div>



