package com.ferri.persistence.dao.impl;

import java.util.List;

import com.ferri.persistence.dao.base.BaseGestoriaDAO;

/**
 * Base abstracta del DAO per la entitat gestoria.
 * @author dferri
 *
 */
public class GestoriaDAOImpl extends BaseGestoriaDAO{
	
	/**
	 * 
	 */
	public Integer countClients(String nif){
		try{
			StringBuffer query = new StringBuffer();
			
			//query.append("select count(*) from ClientVO ent where ent.gestoria.nif = '").append(nif).append("'"); //HSQL
			query.append("select count(*) from tfc_client ent where ent.nif_gestoria = '").append(nif).append("'"); //SQL
			
			List result = getSession().createSQLQuery(query.toString()).list();

			Integer count = ((Number) result.get(0)).intValue();

			return count;
			
		}catch(Exception e){
			e.printStackTrace();
			getSession().getTransaction().rollback();
			return null;
		}
	}
	
	/**
	 * 
	 */
	public Integer countAdrministradors(String nif){
		try{
			StringBuffer query = new StringBuffer();
			
			//query.append("select count(*) from AdministradorVO ent where ent.gestoria.nif = '").append(nif).append("'"); //HSQL
			query.append("select count(*) from tfc_administrador ent where ent.nif_gestoria = '").append(nif).append("'"); //SQL
			
			List result = getSession().createSQLQuery(query.toString()).list();

			Integer count = ((Number) result.get(0)).intValue();

			return count;
			
		}catch(Exception e){
			e.printStackTrace();
			getSession().getTransaction().rollback();
			return null;
		}
	}
}

