package com.ferri.service.dto.converters;

import com.ferri.core.vo.commons.converters.AbstractConverter;
import com.ferri.persistence.bean.impl.EstatVO;
import com.ferri.service.dto.EstatDTO;

/**
 * Convertidor de DTO a VO i al revs per l'entitat Estat.
 * @author dferri
 *
 */
public class EstatConverter extends AbstractConverter<EstatDTO, EstatVO>
{
	public  EstatVO convertDTO2VO( EstatDTO dto) 	{

		EstatVO vo = new  EstatVO();

		vo.setId(dto.getId());
		vo.setDescCa(dto.getDescCa());
		vo.setDescEs(dto.getDescEs());

		return vo;
	}

	public  EstatDTO convertVO2DTO( EstatVO vo)
	{
		EstatDTO dto = new  EstatDTO();

		dto.setId(vo.getId());
		dto.setDescCa(vo.getDescCa());
		dto.setDescEs(vo.getDescEs());

		return dto;
	}
}
