package com.ferri.service.dto.converters;

import com.ferri.core.vo.commons.converters.AbstractConverter;
import com.ferri.persistence.bean.impl.TipusPeriodeVO;
import com.ferri.service.dto.TipusPeriodeDTO;

/**
 * Convertidor de DTO a VO i al revs per l'entitat TipusPeriode.
 * @author dferri
 *
 */
public class TipusPeriodeConverter extends AbstractConverter<TipusPeriodeDTO, TipusPeriodeVO>
{
	public  TipusPeriodeVO convertDTO2VO( TipusPeriodeDTO dto) 	{

		TipusPeriodeVO vo = new  TipusPeriodeVO();

		vo.setId(dto.getId());
		vo.setDescCa(dto.getDescCa());
		vo.setDescEs(dto.getDescEs());

		return vo;
	}

	public  TipusPeriodeDTO convertVO2DTO( TipusPeriodeVO vo)
	{
		TipusPeriodeDTO dto = new  TipusPeriodeDTO();

		dto.setId(vo.getId());
		dto.setDescCa(vo.getDescCa());
		dto.setDescEs(vo.getDescEs());

		return dto;
	}
}
