package com.ferri.service.dto.input;

import com.ferri.core.vo.commons.BaseInputSrvDTO;
import com.ferri.service.dto.AdministradorDTO;
import com.ferri.service.dto.utils.Order;

/**
 * Contenedor InDTO de la entitat Administrador
 * @author dferri
 *
 */
public class AdministradorSrvInDTO extends BaseInputSrvDTO
{
	private static final long serialVersionUID = 4571396436505603431L;
	AdministradorDTO administradorDTO = null;

	Order order = null;

	/**
	 * Creador Instancia
	 */
	public AdministradorSrvInDTO() {
	}

	/**
	 * Creador Instancia
	 * @param administradorDTO
	 * @param order
	 */
	public AdministradorSrvInDTO(AdministradorDTO administradorDTO, Order order) {
		this.administradorDTO = administradorDTO;
		this.order = order;
	}

	/**
	 * Creador Instancia
	 * @param administradorDTO
	 */
	public AdministradorSrvInDTO(AdministradorDTO administradorDTO)
	{
		this.administradorDTO = administradorDTO;
	}

	/**
	 * @return the administradorDTO
	 */
	public AdministradorDTO getAdministradorDTO() {
		return administradorDTO;
	}

	/**
	 * @param administradorDTO the administradorDTO to set
	 */
	public void setAdministradorDTO(AdministradorDTO administradorDTO) {
		this.administradorDTO = administradorDTO;
	}

	/**
	 * @return the order
	 */
	public Order getOrder() {
		return order;
	}

	/**
	 * @param order the order to set
	 */
	public void setOrder(Order order) {
		this.order = order;
	}

}

