package com.ferri.service.dto.input;

import com.ferri.core.vo.commons.BaseInputSrvDTO;
import com.ferri.service.dto.ConstantsDTO;
import com.ferri.service.dto.utils.Order;

/**
 * Contenedor InDTO de la entitat Constants
 * @author dferri
 *
 */
public class ConstantsSrvInDTO extends BaseInputSrvDTO
{
	private static final long serialVersionUID = 4571396436505603431L;
	ConstantsDTO constantsDTO = null;

	Order order = null;
	
	/**
	 * Creador Instancia
	 */
	public ConstantsSrvInDTO() {
	}

	/**
	 * Creador Instancia
	 * @param constantsDTO
	 * @param order
	 */
	public ConstantsSrvInDTO(ConstantsDTO constantsDTO, Order order) {
		this.constantsDTO = constantsDTO;
		this.order = order;
	}

	/**
	 * Creador Instancia
	 * @param constantsDTO
	 */
	public ConstantsSrvInDTO(ConstantsDTO constantsDTO)
	{
		this.constantsDTO = constantsDTO;
	}

	/**
	 * @return the constantsDTO
	 */
	public ConstantsDTO getConstantsDTO() {
		return constantsDTO;
	}

	/**
	 * @param constantsDTO the constantsDTO to set
	 */
	public void setConstantsDTO(ConstantsDTO constantsDTO) {
		this.constantsDTO = constantsDTO;
	}

	/**
	 * @return the order
	 */
	public Order getOrder() {
		return order;
	}

	/**
	 * @param order the order to set
	 */
	public void setOrder(Order order) {
		this.order = order;
	}

}

