package com.ferri.service.dto.input;

import com.ferri.core.vo.commons.BaseInputSrvDTO;
import com.ferri.service.dto.ContracteDTO;
import com.ferri.service.dto.utils.Order;

/**
 * Contenedor InDTO de la entitat Contracte
 * @author dferri
 *
 */
public class ContracteSrvInDTO extends BaseInputSrvDTO
{
	private static final long serialVersionUID = 4571396436505603431L;
	ContracteDTO contracteDTO = null;

	Order order = null;

	/**
	 * Creador Instancia
	 */
	public ContracteSrvInDTO() {
	}

	/**
	 * Creador Instancia
	 * @param contracteDTO
	 * @param order
	 */
	public ContracteSrvInDTO(ContracteDTO contracteDTO, Order order) {
		this.contracteDTO = contracteDTO;
		this.order = order;
	}

	/**
	 * Creador Instancia
	 * @param contracteDTO
	 */
	public ContracteSrvInDTO(ContracteDTO contracteDTO)
	{
		this.contracteDTO = contracteDTO;
	}

	/**
	 * @return the contracteDTO
	 */
	public ContracteDTO getContracteDTO() {
		return contracteDTO;
	}

	/**
	 * @param contracteDTO the contracteDTO to set
	 */
	public void setContracteDTO(ContracteDTO contracteDTO) {
		this.contracteDTO = contracteDTO;
	}

	/**
	 * @return the order
	 */
	public Order getOrder() {
		return order;
	}

	/**
	 * @param order the order to set
	 */
	public void setOrder(Order order) {
		this.order = order;
	}
}

