package com.ferri.service.dto.input;

import com.ferri.core.vo.commons.BaseInputSrvDTO;
import com.ferri.service.dto.TipusPeriodeDTO;
import com.ferri.service.dto.utils.Order;

/**
 * Contenedor InDTO de la entitat TipusPeriode
 * @author dferri
 *
 */
public class TipusPeriodeSrvInDTO extends BaseInputSrvDTO
{
	private static final long serialVersionUID = 4571396436505603431L;
	TipusPeriodeDTO tipusPeriodeDTO = null;

	Order order = null;

	/**
	 * Creador Instancia
	 */
	public TipusPeriodeSrvInDTO() {
	}

	/**
	 * Creador Instancia
	 * @param tipusPeriodeDTO
	 * @param order
	 */
	public TipusPeriodeSrvInDTO(TipusPeriodeDTO tipusPeriodeDTO, Order order) {
		this.tipusPeriodeDTO = tipusPeriodeDTO;
		this.order = order;
	}

	/**
	 * Creador Instancia
	 * @param tipusPeriodeDTO
	 */
	public TipusPeriodeSrvInDTO(TipusPeriodeDTO tipusPeriodeDTO)
	{
		this.tipusPeriodeDTO = tipusPeriodeDTO;
	}

	/**
	 * @return the tipusPeriodeDTO
	 */
	public TipusPeriodeDTO getTipusPeriodeDTO() {
		return tipusPeriodeDTO;
	}

	/**
	 * @param tipusPeriodeDTO the tipusPeriodeDTO to set
	 */
	public void setTipusPeriodeDTO(TipusPeriodeDTO tipusPeriodeDTO) {
		this.tipusPeriodeDTO = tipusPeriodeDTO;
	}

	/**
	 * @return the order
	 */
	public Order getOrder() {
		return order;
	}

	/**
	 * @param order the order to set
	 */
	public void setOrder(Order order) {
		this.order = order;
	}

}

