package com.ferri.service.dto.output;

import com.ferri.core.vo.commons.BaseOutputSrvDTO;
import com.ferri.service.dto.ClientDTO;

import java.util.Collection;

/**
 * Contenedor OutDTO de la entitat Client
 * @author dferri
 *
 */
public class ClientSrvOutDTO extends BaseOutputSrvDTO
{
	private static final long serialVersionUID = 649925199950622804L;
	ClientDTO clientDTO = null;

	Collection<ClientDTO> clientDTOList = null;

	/**
	 * Creador Instancia
	 */
	public ClientSrvOutDTO()
	{
	}

	/**
	 * Creador Instancia
	 * @param clientDTO
	 */
	public ClientSrvOutDTO(ClientDTO clientDTO) {

		setClientDTO(clientDTO);
	}

	/**
	 * Creador Instancia
	 * @param clientDTOList
	 */
	public ClientSrvOutDTO(Collection<ClientDTO> clientDTOList) {

		setClientDTOList(clientDTOList);
	}

	/**
	 * Creador Instancia
	 * @param clientDTO
	 * @param clientDTOList
	 */
	public ClientSrvOutDTO(ClientDTO clientDTO, Collection<ClientDTO> clientDTOList) {

		setClientDTO(clientDTO);

		setClientDTOList(clientDTOList);
	}

	/**
	 * @return the clientDTO
	 */
	public ClientDTO getClientDTO() {
		return clientDTO;
	}

	/**
	 * @param clientDTO the clientDTO to set
	 */
	public void setClientDTO(ClientDTO clientDTO) {
		this.clientDTO = clientDTO;
	}

	/**
	 * @return the clientDTOList
	 */
	public Collection<ClientDTO> getClientDTOList() {
		return clientDTOList;
	}

	/**
	 * @param clientDTOList the clientDTOList to set
	 */
	public void setClientDTOList(Collection<ClientDTO> clientDTOList) {
		this.clientDTOList = clientDTOList;
	}

}