package com.ferri.service.dto.output;

import com.ferri.core.vo.commons.BaseOutputSrvDTO;
import com.ferri.service.dto.ContracteDTO;

import java.util.Collection;

/**
 * Contenedor OutDTO de la entitat Contracte
 * @author dferri
 *
 */
public class ContracteSrvOutDTO extends BaseOutputSrvDTO
{
	private static final long serialVersionUID = 649925199950622804L;
	ContracteDTO contracteDTO = null;

	Collection<ContracteDTO> contracteDTOList = null;

	/**
	 * Creador Instancia
	 */
	public ContracteSrvOutDTO()
	{
	}

	/**
	 * Creador Instancia
	 * @param contracteDTO
	 */
	public ContracteSrvOutDTO(ContracteDTO contracteDTO) {

		setContracteDTO(contracteDTO);
	}

	/**
	 * Creador Instancia
	 * @param contracteDTOList
	 */
	public ContracteSrvOutDTO(Collection<ContracteDTO> contracteDTOList) {

		setContracteDTOList(contracteDTOList);
	}

	/**
	 * Creador Instancia
	 * @param contracteDTO
	 * @param contracteDTOList
	 */
	public ContracteSrvOutDTO(ContracteDTO contracteDTO, Collection<ContracteDTO> contracteDTOList) {

		setContracteDTO(contracteDTO);

		setContracteDTOList(contracteDTOList);
	}

	/**
	 * @return the contracteDTO
	 */
	public ContracteDTO getContracteDTO() {
		return contracteDTO;
	}

	/**
	 * @param contracteDTO the contracteDTO to set
	 */
	public void setContracteDTO(ContracteDTO contracteDTO) {
		this.contracteDTO = contracteDTO;
	}

	/**
	 * @return the contracteDTOList
	 */
	public Collection<ContracteDTO> getContracteDTOList() {
		return contracteDTOList;
	}

	/**
	 * @param contracteDTOList the contracteDTOList to set
	 */
	public void setContracteDTOList(Collection<ContracteDTO> contracteDTOList) {
		this.contracteDTOList = contracteDTOList;
	}

	
}