package com.ferri.service.dto.output;

import com.ferri.core.vo.commons.BaseOutputSrvDTO;
import com.ferri.service.dto.GestoriaDTO;

import java.util.Collection;

/**
 * Contenedor OutDTO de la entitat Gestoria
 * @author dferri
 *
 */
public class GestoriaSrvOutDTO extends BaseOutputSrvDTO
{
	private static final long serialVersionUID = 649925199950622804L;
	GestoriaDTO gestoriaDTO = null;

	Collection<GestoriaDTO> gestoriaDTOList = null;

	/**
	 * Creador Instancia
	 */
	public GestoriaSrvOutDTO()
	{
	}

	/**
	 * Creador Instancia
	 * @param gestoriaDTO
	 */
	public GestoriaSrvOutDTO(GestoriaDTO gestoriaDTO) {

		setGestoriaDTO(gestoriaDTO);
	}

	/**
	 * Creador Instancia
	 * @param gestoriaDTOList
	 */
	public GestoriaSrvOutDTO(Collection<GestoriaDTO> gestoriaDTOList) {

		setGestoriaDTOList(gestoriaDTOList);
	}

	/**
	 * Creador Instancia
	 * @param gestoriaDTO
	 * @param gestoriaDTOList
	 */
	public GestoriaSrvOutDTO(GestoriaDTO gestoriaDTO, Collection<GestoriaDTO> gestoriaDTOList) {

		setGestoriaDTO(gestoriaDTO);

		setGestoriaDTOList(gestoriaDTOList);
	}

	/**
	 * @return the gestoriaDTO
	 */
	public GestoriaDTO getGestoriaDTO() {
		return gestoriaDTO;
	}

	/**
	 * @param gestoriaDTO the gestoriaDTO to set
	 */
	public void setGestoriaDTO(GestoriaDTO gestoriaDTO) {
		this.gestoriaDTO = gestoriaDTO;
	}

	/**
	 * @return the gestoriaDTOList
	 */
	public Collection<GestoriaDTO> getGestoriaDTOList() {
		return gestoriaDTOList;
	}

	/**
	 * @param gestoriaDTOList the gestoriaDTOList to set
	 */
	public void setGestoriaDTOList(Collection<GestoriaDTO> gestoriaDTOList) {
		this.gestoriaDTOList = gestoriaDTOList;
	}

}