package com.ferri.service.dto.output;

import com.ferri.core.vo.commons.BaseOutputSrvDTO;
import com.ferri.service.dto.IntervencioDTO;

import java.util.Collection;

/**
 * Contenedor OutDTO de la entitat Intervencio
 * @author dferri
 *
 */
public class IntervencioSrvOutDTO extends BaseOutputSrvDTO
{
	private static final long serialVersionUID = 649925199950622804L;
	IntervencioDTO intervencioDTO = null;

	Collection<IntervencioDTO> intervencioDTOList = null;

	/**
	 * Creador Instancia
	 */
	public IntervencioSrvOutDTO()
	{
	}

	/**
	 * Creador Instancia
	 * @param intervencioDTO
	 */
	public IntervencioSrvOutDTO(IntervencioDTO intervencioDTO) {

		setIntervencioDTO(intervencioDTO);
	}

	/**
	 * Creador Instancia
	 * @param intervencioDTOList
	 */
	public IntervencioSrvOutDTO(Collection<IntervencioDTO> intervencioDTOList) {

		setIntervencioDTOList(intervencioDTOList);
	}

	/**
	 * Creador Instancia
	 * @param intervencioDTO
	 * @param intervencioDTOList
	 */
	public IntervencioSrvOutDTO(IntervencioDTO intervencioDTO, Collection<IntervencioDTO> intervencioDTOList) {

		setIntervencioDTO(intervencioDTO);

		setIntervencioDTOList(intervencioDTOList);
	}

	/**
	 * @return the intervencioDTO
	 */
	public IntervencioDTO getIntervencioDTO() {
		return intervencioDTO;
	}

	/**
	 * @param intervencioDTO the intervencioDTO to set
	 */
	public void setIntervencioDTO(IntervencioDTO intervencioDTO) {
		this.intervencioDTO = intervencioDTO;
	}

	/**
	 * @return the intervencioDTOList
	 */
	public Collection<IntervencioDTO> getIntervencioDTOList() {
		return intervencioDTOList;
	}

	/**
	 * @param intervencioDTOList the intervencioDTOList to set
	 */
	public void setIntervencioDTOList(Collection<IntervencioDTO> intervencioDTOList) {
		this.intervencioDTOList = intervencioDTOList;
	}

}