package com.ferri.service.dto.output;

import com.ferri.core.vo.commons.BaseOutputSrvDTO;
import com.ferri.service.dto.PressupostDTO;

import java.util.Collection;

/**
 * Contenedor OutDTO de la entitat Pressupost
 * @author dferri
 *
 */
public class PressupostSrvOutDTO extends BaseOutputSrvDTO
{
	private static final long serialVersionUID = 649925199950622804L;
	PressupostDTO pressupostDTO = null;

	Collection<PressupostDTO> pressupostDTOList = null;

	/**
	 * Creador Instancia
	 */
	public PressupostSrvOutDTO()
	{
	}

	/**
	 * Creador Instancia
	 * @param pressupostDTO
	 */
	public PressupostSrvOutDTO(PressupostDTO pressupostDTO) {

		setPressupostDTO(pressupostDTO);
	}

	/**
	 * Creador Instancia
	 * @param pressupostDTOList
	 */
	public PressupostSrvOutDTO(Collection<PressupostDTO> pressupostDTOList) {

		setPressupostDTOList(pressupostDTOList);
	}

	/**
	 * Creador Instancia
	 * @param pressupostDTO
	 * @param pressupostDTOList
	 */
	public PressupostSrvOutDTO(PressupostDTO pressupostDTO, Collection<PressupostDTO> pressupostDTOList) {

		setPressupostDTO(pressupostDTO);

		setPressupostDTOList(pressupostDTOList);
	}

	/**
	 * @return the pressupostDTO
	 */
	public PressupostDTO getPressupostDTO() {
		return pressupostDTO;
	}

	/**
	 * @param pressupostDTO the pressupostDTO to set
	 */
	public void setPressupostDTO(PressupostDTO pressupostDTO) {
		this.pressupostDTO = pressupostDTO;
	}

	/**
	 * @return the pressupostDTOList
	 */
	public Collection<PressupostDTO> getPressupostDTOList() {
		return pressupostDTOList;
	}

	/**
	 * @param pressupostDTOList the pressupostDTOList to set
	 */
	public void setPressupostDTOList(Collection<PressupostDTO> pressupostDTOList) {
		this.pressupostDTOList = pressupostDTOList;
	}

}