package com.ferri.service.exceptions;

/**
 * Excepci comuna per service
 * @author dferri
 *
 */
public class CommonServiceException extends ServiceException
{
	private static final long serialVersionUID = -4806581045663586275L;

	/**
	 * Creador Instancia
	 * @param message
	 * @param cause
	 */
	public CommonServiceException(String message, Throwable cause)
	{
		super(message, cause);
	}

	/**
	 * Creador Instancia
	 * @param message
	 */
	public CommonServiceException(String message) {
		super(message);
	}

	/**
	 * Creador Instancia
	 * @param cause
	 */
	public CommonServiceException(Throwable cause) {
		super(cause);
	}
}
