<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<%--
	Show Combo
--%>

<%@ attribute name="name" required="true"%>
<%@ attribute name="list" type="java.util.Collection" required="true"%>
<%@ attribute name="label" required="false"%>
<%@ attribute name="value" required="false"%>
<%@ attribute name="selected" required="false"%>
<%@ attribute name="onChange" required="false"%>
<%@ attribute name="firstOptionName" required="false"%>
<%@ attribute name="firstOptionValue" required="false"%>
<%@ attribute name="multiple" required="false"%>
<%@ attribute name="style" required="false"%>



<c:if test="${empty label}">
	<c:set var="label" value="label" />
</c:if>

<c:if test="${empty value}">
	<c:set var="value" value="value" />
</c:if>

<c:if test="${empty selected}">
	<c:set var="selected" value="-666" />
</c:if>

<c:if test="${empty firstOptionValue}">
	<c:set var="firstOptionValue" value="-666" />
</c:if>

<c:if test="${!empty onChange}">
	<c:set var="onChange">onChange="${onChange}"</c:set>
</c:if>

<c:if test="${!empty multiple}">
	<c:set var="multiple">multiple="multiple"</c:set>
	<c:set var="selectAll">${selected=="*"}</c:set>
</c:if>

<c:if test="${!empty style}">
	<c:set var="style">style="${style}"</c:set>
</c:if>

<select name="${name}" id="${name}" ${onChange} ${multiple} ${style}>

<c:if test="${!empty firstOptionName}">
	<option ${(selectAll == true || selected == firstOptionValue)? "selected" : ""  } value='${firstOptionValue}'>${firstOptionName}</option>
</c:if>

<c:choose>
	<c:when test="${not empty list}">
		<c:forEach items="${list}" var="element" varStatus="status">
			<option ${(selectAll == true || selected == element[value])? "selected" : ""  } value='${element[value]}'>${element[label]}</option>
		</c:forEach>
	</c:when>
</c:choose>

</select>
