﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:common="http://exslt.org/common"	xmlns:font="xalan://com.ora.xsltckbk.util.SVGFontMetrics"	xmlns:svg="http://www.w3.org/2000/svg">

	<xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="yes"/>
	<xsl:param name="versionParam" select="'1.0'"/>
	<!-- ========================= -->
	<!-- root element: cabecera -->
	<!-- ========================= --> 
	<xsl:template match="cabecera">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		
			<fo:layout-master-set>
			
				<fo:simple-page-master master-name="todoA4" orphans="3" widows="3" margin-top="1.1cm" margin-bottom="0.2cm" margin-left="0cm" margin-right="0.6cm" page-height="29.7cm" page-width="21cm">
					<fo:region-body margin-left="2.4cm" margin-right="2.2cm" margin-top="2.5cm" margin-bottom="1.5cm"/>
					<fo:region-before  extent="4cm"/>
					<fo:region-after extent="1.5cm"/>	
					<fo:region-start  extent="0cm"/>				
				</fo:simple-page-master>
				
			</fo:layout-master-set>															


			<fo:page-sequence master-reference="todoA4" initial-page-number="0">

				<fo:static-content flow-name="xsl-region-start">					
					<fo:block>
					</fo:block>		
				</fo:static-content>
					
				<fo:static-content flow-name="xsl-region-before">
						
						<fo:block>					
							<fo:block space-after="1mm">
							</fo:block>					
							
							<fo:block>
								<fo:table table-layout="fixed" width="100%" border-collapse="separate">
									<fo:table-column column-width="1.8cm" text-align="left"/>
									<fo:table-column column-width="18cm" text-align="left"/>
									
									<fo:table-body>
										<fo:table-row>
				
											<fo:table-cell>	
												<fo:block>
												</fo:block>
											</fo:table-cell>
				
											<fo:table-cell display-align="after">
												<fo:block>
													<fo:external-graphic src="url({path/@valor}/img/pressupost.jpg)"/>															
												</fo:block>
											</fo:table-cell>
											
										</fo:table-row>								
									</fo:table-body>
									
								</fo:table>
							</fo:block>
							
						</fo:block>
					
				</fo:static-content>
								
				<fo:static-content flow-name="xsl-region-after">
											
					<fo:block/>
					
				</fo:static-content>
				
				<fo:flow flow-name="xsl-region-body">
						<fo:block></fo:block>

						
		<fo:block>
		
						
			<fo:block space-after="10mm">
			<fo:table table-layout="fixed" width="100%" border-collapse="separate">							
				
				<fo:table-column column-width="9cm" text-align="left"/>
				<fo:table-column column-width="1cm" text-align="left"/>
				<fo:table-column column-width="6cm" text-align="right"/>
																								
				<fo:table-body>
					<fo:table-row>
					
						<fo:table-cell>
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif" font-weight="bold" font-style="italic">
								Nº <xsl:value-of select="facturacio/@numero"/>
							</fo:block>
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif">
								<xsl:value-of select="facturacio/@data"/>
							</fo:block>	
						</fo:table-cell>

						<fo:table-cell>
							<fo:block>
							</fo:block>
						</fo:table-cell>
															
						<fo:table-cell text-align="right">
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif">
								<fo:inline color="rgb(102,102,152)" font-weight="bold">CERRAJERIASM</fo:inline>
							</fo:block>
							<fo:block font-size="10pt" font-family="Helvetica, sans-serif">
								<fo:inline font-style="italic">CERRAJERIA EN GENERAL</fo:inline>
							</fo:block>
						</fo:table-cell>						
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
			
			
		<fo:block space-after="5mm">
			<fo:table table-layout="fixed" width="100%" border-collapse="separate">							
				
				<fo:table-column column-width="6cm" text-align="left"/>
				<fo:table-column column-width="10.5cm" text-align="left"/>
																								
				<fo:table-body>
					
					<fo:table-row>
						<fo:table-cell>							
								<fo:block font-size="12pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)" font-weight="bold">
									CLIENT<fo:inline font-style="italic"> / CLIENTE</fo:inline>:
								</fo:block>
						</fo:table-cell>
											
						<fo:table-cell display-align="center">
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif" font-style="italic">									
								<xsl:value-of select="empresa/@rao"/>
							</fo:block>
						</fo:table-cell>
						
					</fo:table-row>	
						
					<fo:table-row>
						<fo:table-cell>							
								<fo:block>
								</fo:block>
						</fo:table-cell>
											
						<fo:table-cell display-align="center">
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif" font-style="italic">									
								<xsl:value-of select="empresa/@cif"/>
							</fo:block>
						</fo:table-cell>
						
					</fo:table-row>					
					
					<fo:table-row>
						<fo:table-cell>							
								<fo:block>
								</fo:block>
						</fo:table-cell>
											
						<fo:table-cell display-align="center">
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif" font-style="italic">									
								<xsl:value-of select="empresa/@poblacio"/> - <xsl:value-of select="empresa/@cp"/>
							</fo:block>
						</fo:table-cell>
						
					</fo:table-row>			
					
					<fo:table-row>
						<fo:table-cell>							
								<fo:block>
								</fo:block>
						</fo:table-cell>
											
						<fo:table-cell display-align="center">
							<fo:block font-size="12pt" font-family="Helvetica, sans-serif" font-style="italic">									
								<xsl:value-of select="empresa/@direccio"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					
				</fo:table-body>
			</fo:table>
		</fo:block>			
			
								
			<fo:block space-after="2mm" font-size="12pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)" font-weight="bold">
				DETALL D'ACTUACIÓ<fo:inline font-style="italic"> / DETALL D'ACTUACIÓ</fo:inline>:
			</fo:block>
											
				<fo:block font-size="10pt" space-after="10mm" color="rgb(66,66,66)">
					<fo:table table-layout="fixed" width="100%" border-collapse="separate">
						<fo:table-column column-width="15.8cm" />
						<fo:table-body>
							<xsl:apply-templates select="linia"/>					
						</fo:table-body>
					</fo:table>
				</fo:block>
			</fo:block>
			
			
			<fo:block space-after="5mm">
			<fo:table table-layout="fixed" width="100%" border-collapse="separate">							
				
				<fo:table-column column-width="9cm" text-align="left"/>
				<fo:table-column column-width="6.8cm" text-align="right"/>
																								
				<fo:table-body>
					
					<fo:table-row>
						<fo:table-cell>							
								<fo:block font-size="11pt" font-family="Helvetica, sans-serif" font-weight="bold">
									IMPORT<fo:inline font-style="italic"> / IMPORTE</fo:inline>:
								</fo:block>
						</fo:table-cell>
						
						<fo:table-cell>
							<fo:block font-size="11pt" font-family="Helvetica, sans-serif" text-align="right" font-style="italic">									
								<xsl:value-of select="facturacio/@import"/> €
							</fo:block>
						</fo:table-cell>
						
					</fo:table-row>	
						
					<fo:table-row>
						<fo:table-cell>							
								<fo:block font-size="11pt" font-family="Helvetica, sans-serif" font-weight="bold" color="rgb(111,111,111)">
									IVA 18%<fo:inline font-style="italic"> / IVA 18%</fo:inline>:
								</fo:block>
						</fo:table-cell>
											
						<fo:table-cell>
							<fo:block font-size="11pt" font-family="Helvetica, sans-serif" text-align="right" font-style="italic">									
								<xsl:value-of select="facturacio/@iva"/> €
							</fo:block>
						</fo:table-cell>
						
						
					</fo:table-row>
					
					<fo:table-row>
						<fo:table-cell>							
								<fo:block font-size="11pt" font-family="Helvetica, sans-serif" font-weight="bold" color="rgb(111,111,111)">
									RETENCIÓ IRPF 15% <fo:inline font-style="italic"> / RETENCIÓN IRPF 15%</fo:inline>:
								</fo:block>
						</fo:table-cell>
											
						<fo:table-cell>
							<fo:block font-size="11pt" font-family="Helvetica, sans-serif" text-align="right" font-style="italic">									
								- <xsl:value-of select="facturacio/@irpf"/> €
							</fo:block>
						</fo:table-cell>
					</fo:table-row>	
						
					<fo:table-row>
						<fo:table-cell>							
								<fo:block color="rgb(102,102,152)" font-size="12pt" font-family="Helvetica, sans-serif" font-weight="bold">
									TOTAL<fo:inline font-style="italic"> / TOTAL</fo:inline>:
								</fo:block>
						</fo:table-cell>
											
						<fo:table-cell>
							<fo:block font-weight="bold" font-size="12pt" font-family="Helvetica, sans-serif" text-align="right" font-style="italic">									
								<xsl:value-of select="facturacio/@total"/> €
							</fo:block>
						</fo:table-cell>						
						
					</fo:table-row>	
					
				</fo:table-body>
			</fo:table>
			</fo:block>
			
			
			<fo:block>
				
				
		<fo:block space-after="1mm" font-size="12pt" font-weight="bold" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">
			DADES DE CONTACTE / <fo:inline font-style="italic">DATOS DE CONTACTO</fo:inline>
		</fo:block>		
				
				
		<fo:block>
		<fo:block space-after="2mm">
			<fo:block font-size="11pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">									
				N.I.F 45471989-T
			</fo:block>
			<fo:block font-size="11pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">									
				CALLE IGLESIA Nº 10-24 B6
			</fo:block>
			<fo:block font-size="11pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">									
				08228 LES FONTS (BCN)
			</fo:block>								
			<fo:block font-size="11pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">									
				TELF-FAX: 93 786 25 24	
			</fo:block>
			<fo:block font-size="11pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">									
				MOVIL: 667 795 210
			</fo:block>				
			<fo:block font-size="11pt" font-family="Helvetica, sans-serif" color="rgb(102,102,152)">									
				SERGIO MELLADO MARIN
			</fo:block>	
		</fo:block>
	</fo:block>
			
			</fo:block>
			
			
		</fo:flow>
	</fo:page-sequence>
					
	</fo:root>	
		
	</xsl:template>
	<!-- ========================= -->
	<!-- child element: member     -->
	<!-- ========================= -->

			
<xsl:template match="linia">
	
	<fo:table-row>		
		<fo:table-cell text-align="justify">
			<fo:block font-size="10pt" font-family="Helvetica, sans-serif" font-style="italic">
					<fo:inline font-size="10pt" font-family="Helvetica, sans-serif" font-style="italic">
						<xsl:value-of select="@texte"/>
					</fo:inline>
			</fo:block>			
			
			<fo:block>
			</fo:block>
			
		</fo:table-cell>
	</fo:table-row>	

</xsl:template>

</xsl:stylesheet>